searchNodes=[{"ref":"Tai.html","title":"Tai","module":"Tai","type":"module","doc":""},{"ref":"Tai.html#start/2","title":"Tai.start/2","module":"Tai","type":"function","doc":"Called when an application is started. This function is called when an application is started using Application.start/2 (and functions on top of that, such as Application.ensure_started/2). This function should start the top-level process of the application (which should be the top supervisor of the application&#39;s supervision tree if the application follows the OTP design principles around supervision). start_type defines how the application is started: :normal - used if the startup is a normal startup or if the application is distributed and is started on the current node because of a failover from another node and the application specification key :start_phases is :undefined. {:takeover, node} - used if the application is distributed and is started on the current node because of a failover on the node node. {:failover, node} - used if the application is distributed and is started on the current node because of a failover on node node, and the application specification key :start_phases is not :undefined. start_args are the arguments passed to the application in the :mod specification key (e.g., mod: {MyApp, [:my_args]}). This function should either return {:ok, pid} or {:ok, pid, state} if startup is successful. pid should be the PID of the top supervisor. state can be an arbitrary term, and if omitted will default to []; if the application is later stopped, state is passed to the stop/1 callback (see the documentation for the c:stop/1 callback for more information). use Application provides no default implementation for the start/2 callback. Callback implementation for Application.start/2."},{"ref":"Tai.Advisor.html","title":"Tai.Advisor","module":"Tai.Advisor","type":"behaviour","doc":"A behavior for implementing a process that receives changes in the order book. It can be used to monitor one or more quote streams and create, update or cancel orders."},{"ref":"Tai.Advisor.html#cast_order_updated/4","title":"Tai.Advisor.cast_order_updated/4","module":"Tai.Advisor","type":"function","doc":""},{"ref":"Tai.Advisor.html#cast_order_updated/5","title":"Tai.Advisor.cast_order_updated/5","module":"Tai.Advisor","type":"function","doc":""},{"ref":"Tai.Advisor.html#c:handle_inside_quote/5","title":"Tai.Advisor.handle_inside_quote/5","module":"Tai.Advisor","type":"callback","doc":""},{"ref":"Tai.Advisor.html#to_name/2","title":"Tai.Advisor.to_name/2","module":"Tai.Advisor","type":"function","doc":""},{"ref":"Tai.Advisor.html#t:advisor/0","title":"Tai.Advisor.advisor/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.Advisor.html#t:changes/0","title":"Tai.Advisor.changes/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.Advisor.html#t:config/0","title":"Tai.Advisor.config/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.Advisor.html#t:group_id/0","title":"Tai.Advisor.group_id/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.Advisor.html#t:id/0","title":"Tai.Advisor.id/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.Advisor.html#t:market_quote/0","title":"Tai.Advisor.market_quote/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.Advisor.html#t:order/0","title":"Tai.Advisor.order/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.Advisor.html#t:product/0","title":"Tai.Advisor.product/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.Advisor.html#t:product_symbol/0","title":"Tai.Advisor.product_symbol/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.Advisor.html#t:run_store/0","title":"Tai.Advisor.run_store/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.Advisor.html#t:t/0","title":"Tai.Advisor.t/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.Advisor.html#t:venue_id/0","title":"Tai.Advisor.venue_id/0","module":"Tai.Advisor","type":"type","doc":""},{"ref":"Tai.AdvisorGroup.html","title":"Tai.AdvisorGroup","module":"Tai.AdvisorGroup","type":"module","doc":""},{"ref":"Tai.AdvisorGroup.html#valid?/1","title":"Tai.AdvisorGroup.valid?/1","module":"Tai.AdvisorGroup","type":"function","doc":""},{"ref":"Tai.AdvisorGroup.html#t:t/0","title":"Tai.AdvisorGroup.t/0","module":"Tai.AdvisorGroup","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.html","title":"Tai.AdvisorGroups","module":"Tai.AdvisorGroups","type":"module","doc":""},{"ref":"Tai.AdvisorGroups.html#build_specs/1","title":"Tai.AdvisorGroups.build_specs/1","module":"Tai.AdvisorGroups","type":"function","doc":"See Tai.AdvisorGroups.BuildSpecs.build_specs/1."},{"ref":"Tai.AdvisorGroups.html#build_specs/2","title":"Tai.AdvisorGroups.build_specs/2","module":"Tai.AdvisorGroups","type":"function","doc":"See Tai.AdvisorGroups.BuildSpecs.build_specs/2."},{"ref":"Tai.AdvisorGroups.html#build_specs_for_advisor/3","title":"Tai.AdvisorGroups.build_specs_for_advisor/3","module":"Tai.AdvisorGroups","type":"function","doc":"See Tai.AdvisorGroups.BuildSpecsForAdvisor.build_specs_for_advisor/3."},{"ref":"Tai.AdvisorGroups.html#build_specs_for_advisor/4","title":"Tai.AdvisorGroups.build_specs_for_advisor/4","module":"Tai.AdvisorGroups","type":"function","doc":"See Tai.AdvisorGroups.BuildSpecsForAdvisor.build_specs_for_advisor/4."},{"ref":"Tai.AdvisorGroups.html#build_specs_for_group/2","title":"Tai.AdvisorGroups.build_specs_for_group/2","module":"Tai.AdvisorGroups","type":"function","doc":"See Tai.AdvisorGroups.BuildSpecsForGroup.build_specs_for_group/2."},{"ref":"Tai.AdvisorGroups.html#build_specs_for_group/3","title":"Tai.AdvisorGroups.build_specs_for_group/3","module":"Tai.AdvisorGroups","type":"function","doc":"See Tai.AdvisorGroups.BuildSpecsForGroup.build_specs_for_group/3."},{"ref":"Tai.AdvisorGroups.html#parse_config/1","title":"Tai.AdvisorGroups.parse_config/1","module":"Tai.AdvisorGroups","type":"function","doc":"See Tai.AdvisorGroups.ParseConfig.parse_config/1."},{"ref":"Tai.AdvisorGroups.html#t:advisor_spec/0","title":"Tai.AdvisorGroups.advisor_spec/0","module":"Tai.AdvisorGroups","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.html#t:config/0","title":"Tai.AdvisorGroups.config/0","module":"Tai.AdvisorGroups","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.html#t:product/0","title":"Tai.AdvisorGroups.product/0","module":"Tai.AdvisorGroups","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecs.html","title":"Tai.AdvisorGroups.BuildSpecs","module":"Tai.AdvisorGroups.BuildSpecs","type":"module","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecs.html#build_specs/2","title":"Tai.AdvisorGroups.BuildSpecs.build_specs/2","module":"Tai.AdvisorGroups.BuildSpecs","type":"function","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecs.html#t:advisor_spec/0","title":"Tai.AdvisorGroups.BuildSpecs.advisor_spec/0","module":"Tai.AdvisorGroups.BuildSpecs","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecs.html#t:config/0","title":"Tai.AdvisorGroups.BuildSpecs.config/0","module":"Tai.AdvisorGroups.BuildSpecs","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecs.html#t:product/0","title":"Tai.AdvisorGroups.BuildSpecs.product/0","module":"Tai.AdvisorGroups.BuildSpecs","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecsForAdvisor.html","title":"Tai.AdvisorGroups.BuildSpecsForAdvisor","module":"Tai.AdvisorGroups.BuildSpecsForAdvisor","type":"module","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecsForAdvisor.html#build_specs_for_advisor/4","title":"Tai.AdvisorGroups.BuildSpecsForAdvisor.build_specs_for_advisor/4","module":"Tai.AdvisorGroups.BuildSpecsForAdvisor","type":"function","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecsForAdvisor.html#t:advisor_spec/0","title":"Tai.AdvisorGroups.BuildSpecsForAdvisor.advisor_spec/0","module":"Tai.AdvisorGroups.BuildSpecsForAdvisor","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecsForAdvisor.html#t:config/0","title":"Tai.AdvisorGroups.BuildSpecsForAdvisor.config/0","module":"Tai.AdvisorGroups.BuildSpecsForAdvisor","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecsForAdvisor.html#t:product/0","title":"Tai.AdvisorGroups.BuildSpecsForAdvisor.product/0","module":"Tai.AdvisorGroups.BuildSpecsForAdvisor","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecsForGroup.html","title":"Tai.AdvisorGroups.BuildSpecsForGroup","module":"Tai.AdvisorGroups.BuildSpecsForGroup","type":"module","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecsForGroup.html#build_specs_for_group/3","title":"Tai.AdvisorGroups.BuildSpecsForGroup.build_specs_for_group/3","module":"Tai.AdvisorGroups.BuildSpecsForGroup","type":"function","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecsForGroup.html#t:advisor_spec/0","title":"Tai.AdvisorGroups.BuildSpecsForGroup.advisor_spec/0","module":"Tai.AdvisorGroups.BuildSpecsForGroup","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecsForGroup.html#t:config/0","title":"Tai.AdvisorGroups.BuildSpecsForGroup.config/0","module":"Tai.AdvisorGroups.BuildSpecsForGroup","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.BuildSpecsForGroup.html#t:product/0","title":"Tai.AdvisorGroups.BuildSpecsForGroup.product/0","module":"Tai.AdvisorGroups.BuildSpecsForGroup","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.ParseConfig.html","title":"Tai.AdvisorGroups.ParseConfig","module":"Tai.AdvisorGroups.ParseConfig","type":"module","doc":""},{"ref":"Tai.AdvisorGroups.ParseConfig.html#parse_config/1","title":"Tai.AdvisorGroups.ParseConfig.parse_config/1","module":"Tai.AdvisorGroups.ParseConfig","type":"function","doc":""},{"ref":"Tai.AdvisorGroups.ParseConfig.html#t:advisor_group/0","title":"Tai.AdvisorGroups.ParseConfig.advisor_group/0","module":"Tai.AdvisorGroups.ParseConfig","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.ParseConfig.html#t:config/0","title":"Tai.AdvisorGroups.ParseConfig.config/0","module":"Tai.AdvisorGroups.ParseConfig","type":"type","doc":""},{"ref":"Tai.AdvisorGroups.ParseConfig.html#t:product/0","title":"Tai.AdvisorGroups.ParseConfig.product/0","module":"Tai.AdvisorGroups.ParseConfig","type":"type","doc":""},{"ref":"Tai.Advisors.html","title":"Tai.Advisors","module":"Tai.Advisors","type":"module","doc":""},{"ref":"Tai.Advisors.html#info/1","title":"Tai.Advisors.info/1","module":"Tai.Advisors","type":"function","doc":""},{"ref":"Tai.Advisors.html#start/1","title":"Tai.Advisors.start/1","module":"Tai.Advisors","type":"function","doc":""},{"ref":"Tai.Advisors.html#stop/1","title":"Tai.Advisors.stop/1","module":"Tai.Advisors","type":"function","doc":""},{"ref":"Tai.Advisors.html#t:advisor_spec/0","title":"Tai.Advisors.advisor_spec/0","module":"Tai.Advisors","type":"type","doc":""},{"ref":"Tai.Advisors.Factories.OnePerVenueAndProduct.html","title":"Tai.Advisors.Factories.OnePerVenueAndProduct","module":"Tai.Advisors.Factories.OnePerVenueAndProduct","type":"module","doc":""},{"ref":"Tai.Advisors.Factories.OnePerVenueAndProduct.html#advisor_specs/2","title":"Tai.Advisors.Factories.OnePerVenueAndProduct.advisor_specs/2","module":"Tai.Advisors.Factories.OnePerVenueAndProduct","type":"function","doc":"Callback implementation for Tai.Advisors.Factory.advisor_specs/2."},{"ref":"Tai.Advisors.Factory.html","title":"Tai.Advisors.Factory","module":"Tai.Advisors.Factory","type":"behaviour","doc":""},{"ref":"Tai.Advisors.Factory.html#c:advisor_specs/2","title":"Tai.Advisors.Factory.advisor_specs/2","module":"Tai.Advisors.Factory","type":"callback","doc":""},{"ref":"Tai.Advisors.Factory.html#t:advisor_group/0","title":"Tai.Advisors.Factory.advisor_group/0","module":"Tai.Advisors.Factory","type":"type","doc":""},{"ref":"Tai.Advisors.Factory.html#t:advisor_spec/0","title":"Tai.Advisors.Factory.advisor_spec/0","module":"Tai.Advisors.Factory","type":"type","doc":""},{"ref":"Tai.Advisors.Factory.html#t:product/0","title":"Tai.Advisors.Factory.product/0","module":"Tai.Advisors.Factory","type":"type","doc":""},{"ref":"Tai.Advisors.MarketQuotes.html","title":"Tai.Advisors.MarketQuotes","module":"Tai.Advisors.MarketQuotes","type":"module","doc":""},{"ref":"Tai.Advisors.MarketQuotes.html#for/3","title":"Tai.Advisors.MarketQuotes.for/3","module":"Tai.Advisors.MarketQuotes","type":"function","doc":""},{"ref":"Tai.Advisors.MarketQuotes.html#t:market_quote/0","title":"Tai.Advisors.MarketQuotes.market_quote/0","module":"Tai.Advisors.MarketQuotes","type":"type","doc":""},{"ref":"Tai.Advisors.MarketQuotes.html#t:product_symbol/0","title":"Tai.Advisors.MarketQuotes.product_symbol/0","module":"Tai.Advisors.MarketQuotes","type":"type","doc":""},{"ref":"Tai.Advisors.MarketQuotes.html#t:t/0","title":"Tai.Advisors.MarketQuotes.t/0","module":"Tai.Advisors.MarketQuotes","type":"type","doc":""},{"ref":"Tai.Advisors.MarketQuotes.html#t:venue_id/0","title":"Tai.Advisors.MarketQuotes.venue_id/0","module":"Tai.Advisors.MarketQuotes","type":"type","doc":""},{"ref":"Tai.AdvisorsSupervisor.html","title":"Tai.AdvisorsSupervisor","module":"Tai.AdvisorsSupervisor","type":"module","doc":""},{"ref":"Tai.AdvisorsSupervisor.html#child_spec/1","title":"Tai.AdvisorsSupervisor.child_spec/1","module":"Tai.AdvisorsSupervisor","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.AdvisorsSupervisor.html#init/1","title":"Tai.AdvisorsSupervisor.init/1","module":"Tai.AdvisorsSupervisor","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke DynamicSupervisor.init/1 at the end of their init callback to return the proper supervision flags. Callback implementation for DynamicSupervisor.init/1."},{"ref":"Tai.AdvisorsSupervisor.html#start_advisor/1","title":"Tai.AdvisorsSupervisor.start_advisor/1","module":"Tai.AdvisorsSupervisor","type":"function","doc":""},{"ref":"Tai.AdvisorsSupervisor.html#start_link/1","title":"Tai.AdvisorsSupervisor.start_link/1","module":"Tai.AdvisorsSupervisor","type":"function","doc":""},{"ref":"Tai.AdvisorsSupervisor.html#terminate_advisor/1","title":"Tai.AdvisorsSupervisor.terminate_advisor/1","module":"Tai.AdvisorsSupervisor","type":"function","doc":""},{"ref":"Tai.ApiError.html","title":"Tai.ApiError","module":"Tai.ApiError","type":"module","doc":"Module which represents errors with credentials e.g. invalid api keys"},{"ref":"Tai.ApiError.html#t:t/0","title":"Tai.ApiError.t/0","module":"Tai.ApiError","type":"type","doc":""},{"ref":"Tai.BootError.html","title":"Tai.BootError","module":"Tai.BootError","type":"exception","doc":"Module which represents a boot error"},{"ref":"Tai.Commands.Advisor.html","title":"Tai.Commands.Advisor","module":"Tai.Commands.Advisor","type":"module","doc":""},{"ref":"Tai.Commands.Advisor.html#advisor/3","title":"Tai.Commands.Advisor.advisor/3","module":"Tai.Commands.Advisor","type":"function","doc":""},{"ref":"Tai.Commands.Advisor.html#format_status_col/1","title":"Tai.Commands.Advisor.format_status_col/1","module":"Tai.Commands.Advisor","type":"function","doc":""},{"ref":"Tai.Commands.Advisor.html#start_advisor/3","title":"Tai.Commands.Advisor.start_advisor/3","module":"Tai.Commands.Advisor","type":"function","doc":""},{"ref":"Tai.Commands.Advisor.html#stop_advisor/3","title":"Tai.Commands.Advisor.stop_advisor/3","module":"Tai.Commands.Advisor","type":"function","doc":""},{"ref":"Tai.Commands.Advisor.html#t:config/0","title":"Tai.Commands.Advisor.config/0","module":"Tai.Commands.Advisor","type":"type","doc":""},{"ref":"Tai.Commands.AdvisorGroups.html","title":"Tai.Commands.AdvisorGroups","module":"Tai.Commands.AdvisorGroups","type":"module","doc":""},{"ref":"Tai.Commands.AdvisorGroups.html#advisor_groups/1","title":"Tai.Commands.AdvisorGroups.advisor_groups/1","module":"Tai.Commands.AdvisorGroups","type":"function","doc":""},{"ref":"Tai.Commands.AdvisorGroups.html#start/2","title":"Tai.Commands.AdvisorGroups.start/2","module":"Tai.Commands.AdvisorGroups","type":"function","doc":""},{"ref":"Tai.Commands.AdvisorGroups.html#stop/2","title":"Tai.Commands.AdvisorGroups.stop/2","module":"Tai.Commands.AdvisorGroups","type":"function","doc":""},{"ref":"Tai.Commands.AdvisorGroups.html#t:config/0","title":"Tai.Commands.AdvisorGroups.config/0","module":"Tai.Commands.AdvisorGroups","type":"type","doc":""},{"ref":"Tai.Commands.Advisors.html","title":"Tai.Commands.Advisors","module":"Tai.Commands.Advisors","type":"module","doc":""},{"ref":"Tai.Commands.Advisors.html#advisors/1","title":"Tai.Commands.Advisors.advisors/1","module":"Tai.Commands.Advisors","type":"function","doc":""},{"ref":"Tai.Commands.Advisors.html#format_status_col/1","title":"Tai.Commands.Advisors.format_status_col/1","module":"Tai.Commands.Advisors","type":"function","doc":""},{"ref":"Tai.Commands.Advisors.html#start/1","title":"Tai.Commands.Advisors.start/1","module":"Tai.Commands.Advisors","type":"function","doc":""},{"ref":"Tai.Commands.Advisors.html#stop/1","title":"Tai.Commands.Advisors.stop/1","module":"Tai.Commands.Advisors","type":"function","doc":""},{"ref":"Tai.Commands.Advisors.html#t:config/0","title":"Tai.Commands.Advisors.config/0","module":"Tai.Commands.Advisors","type":"type","doc":""},{"ref":"Tai.Commands.Balance.html","title":"Tai.Commands.Balance","module":"Tai.Commands.Balance","type":"module","doc":"Display symbols on each exchange with a non-zero balance"},{"ref":"Tai.Commands.Balance.html#balance/0","title":"Tai.Commands.Balance.balance/0","module":"Tai.Commands.Balance","type":"function","doc":""},{"ref":"Tai.Commands.Fees.html","title":"Tai.Commands.Fees","module":"Tai.Commands.Fees","type":"module","doc":"Display the list of maker/taker fees for tradable products"},{"ref":"Tai.Commands.Fees.html#fees/0","title":"Tai.Commands.Fees.fees/0","module":"Tai.Commands.Fees","type":"function","doc":""},{"ref":"Tai.Commands.Help.html","title":"Tai.Commands.Help","module":"Tai.Commands.Help","type":"module","doc":"Display the available commands and their usage"},{"ref":"Tai.Commands.Help.html#help/0","title":"Tai.Commands.Help.help/0","module":"Tai.Commands.Help","type":"function","doc":""},{"ref":"Tai.Commands.Helper.html","title":"Tai.Commands.Helper","module":"Tai.Commands.Helper","type":"module","doc":"Commands for using tai in IEx"},{"ref":"Tai.Commands.Helper.html#advisor/2","title":"Tai.Commands.Helper.advisor/2","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Advisor.advisor/2."},{"ref":"Tai.Commands.Helper.html#advisor_groups/0","title":"Tai.Commands.Helper.advisor_groups/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.AdvisorGroups.advisor_groups/0."},{"ref":"Tai.Commands.Helper.html#advisors/0","title":"Tai.Commands.Helper.advisors/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Advisors.advisors/0."},{"ref":"Tai.Commands.Helper.html#balance/0","title":"Tai.Commands.Helper.balance/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Balance.balance/0."},{"ref":"Tai.Commands.Helper.html#disable_send_orders/0","title":"Tai.Commands.Helper.disable_send_orders/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.SendOrders.disable/0."},{"ref":"Tai.Commands.Helper.html#enable_send_orders/0","title":"Tai.Commands.Helper.enable_send_orders/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.SendOrders.enable/0."},{"ref":"Tai.Commands.Helper.html#fees/0","title":"Tai.Commands.Helper.fees/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Fees.fees/0."},{"ref":"Tai.Commands.Helper.html#help/0","title":"Tai.Commands.Helper.help/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Help.help/0."},{"ref":"Tai.Commands.Helper.html#markets/0","title":"Tai.Commands.Helper.markets/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Markets.markets/0."},{"ref":"Tai.Commands.Helper.html#orders/0","title":"Tai.Commands.Helper.orders/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Orders.orders/0."},{"ref":"Tai.Commands.Helper.html#positions/0","title":"Tai.Commands.Helper.positions/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Positions.positions/0."},{"ref":"Tai.Commands.Helper.html#products/0","title":"Tai.Commands.Helper.products/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Products.products/0."},{"ref":"Tai.Commands.Helper.html#settings/0","title":"Tai.Commands.Helper.settings/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Settings.settings/0."},{"ref":"Tai.Commands.Helper.html#start_advisor/2","title":"Tai.Commands.Helper.start_advisor/2","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Advisor.start_advisor/2."},{"ref":"Tai.Commands.Helper.html#start_advisor_group/1","title":"Tai.Commands.Helper.start_advisor_group/1","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.AdvisorGroups.start/1."},{"ref":"Tai.Commands.Helper.html#start_advisors/0","title":"Tai.Commands.Helper.start_advisors/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Advisors.start/0."},{"ref":"Tai.Commands.Helper.html#stop_advisor/2","title":"Tai.Commands.Helper.stop_advisor/2","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Advisor.stop_advisor/2."},{"ref":"Tai.Commands.Helper.html#stop_advisor_group/1","title":"Tai.Commands.Helper.stop_advisor_group/1","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.AdvisorGroups.stop/1."},{"ref":"Tai.Commands.Helper.html#stop_advisors/0","title":"Tai.Commands.Helper.stop_advisors/0","module":"Tai.Commands.Helper","type":"function","doc":"See Tai.Commands.Advisors.stop/0."},{"ref":"Tai.Commands.Helper.html#t:config/0","title":"Tai.Commands.Helper.config/0","module":"Tai.Commands.Helper","type":"type","doc":""},{"ref":"Tai.Commands.Markets.html","title":"Tai.Commands.Markets","module":"Tai.Commands.Markets","type":"module","doc":"Display the bid/ask for each symbol on all order book feeds"},{"ref":"Tai.Commands.Markets.html#markets/0","title":"Tai.Commands.Markets.markets/0","module":"Tai.Commands.Markets","type":"function","doc":""},{"ref":"Tai.Commands.Orders.html","title":"Tai.Commands.Orders","module":"Tai.Commands.Orders","type":"module","doc":"Display the list of orders and their details"},{"ref":"Tai.Commands.Orders.html#orders/0","title":"Tai.Commands.Orders.orders/0","module":"Tai.Commands.Orders","type":"function","doc":""},{"ref":"Tai.Commands.Positions.html","title":"Tai.Commands.Positions","module":"Tai.Commands.Positions","type":"module","doc":"Display the list of positions and their details"},{"ref":"Tai.Commands.Positions.html#positions/0","title":"Tai.Commands.Positions.positions/0","module":"Tai.Commands.Positions","type":"function","doc":""},{"ref":"Tai.Commands.Products.html","title":"Tai.Commands.Products","module":"Tai.Commands.Products","type":"module","doc":"Display the list of products and their trade requirements for each exchange"},{"ref":"Tai.Commands.Products.html#products/0","title":"Tai.Commands.Products.products/0","module":"Tai.Commands.Products","type":"function","doc":""},{"ref":"Tai.Commands.SendOrders.html","title":"Tai.Commands.SendOrders","module":"Tai.Commands.SendOrders","type":"module","doc":""},{"ref":"Tai.Commands.SendOrders.html#disable/0","title":"Tai.Commands.SendOrders.disable/0","module":"Tai.Commands.SendOrders","type":"function","doc":""},{"ref":"Tai.Commands.SendOrders.html#enable/0","title":"Tai.Commands.SendOrders.enable/0","module":"Tai.Commands.SendOrders","type":"function","doc":""},{"ref":"Tai.Commands.Settings.html","title":"Tai.Commands.Settings","module":"Tai.Commands.Settings","type":"module","doc":""},{"ref":"Tai.Commands.Settings.html#format_col/1","title":"Tai.Commands.Settings.format_col/1","module":"Tai.Commands.Settings","type":"function","doc":""},{"ref":"Tai.Commands.Settings.html#settings/0","title":"Tai.Commands.Settings.settings/0","module":"Tai.Commands.Settings","type":"function","doc":""},{"ref":"Tai.Commands.Table.html","title":"Tai.Commands.Table","module":"Tai.Commands.Table","type":"module","doc":""},{"ref":"Tai.Commands.Table.html#render!/2","title":"Tai.Commands.Table.render!/2","module":"Tai.Commands.Table","type":"function","doc":""},{"ref":"Tai.Config.html","title":"Tai.Config","module":"Tai.Config","type":"module","doc":"Module to parse the config from the application environment"},{"ref":"Tai.Config.html#parse/1","title":"Tai.Config.parse/1","module":"Tai.Config","type":"function","doc":""},{"ref":"Tai.Config.html#t:t/0","title":"Tai.Config.t/0","module":"Tai.Config","type":"type","doc":""},{"ref":"Tai.Event.html","title":"Tai.Event","module":"Tai.Event","type":"module","doc":""},{"ref":"Tai.Event.html#encode!/1","title":"Tai.Event.encode!/1","module":"Tai.Event","type":"function","doc":""},{"ref":"Tai.Event.html#t:t/0","title":"Tai.Event.t/0","module":"Tai.Event","type":"type","doc":""},{"ref":"Tai.Events.html","title":"Tai.Events","module":"Tai.Events","type":"module","doc":""},{"ref":"Tai.Events.html#broadcast/1","title":"Tai.Events.broadcast/1","module":"Tai.Events","type":"function","doc":""},{"ref":"Tai.Events.html#child_spec/1","title":"Tai.Events.child_spec/1","module":"Tai.Events","type":"function","doc":""},{"ref":"Tai.Events.html#firehose_subscribe/0","title":"Tai.Events.firehose_subscribe/0","module":"Tai.Events","type":"function","doc":""},{"ref":"Tai.Events.html#start_link/1","title":"Tai.Events.start_link/1","module":"Tai.Events","type":"function","doc":""},{"ref":"Tai.Events.html#subscribe/1","title":"Tai.Events.subscribe/1","module":"Tai.Events","type":"function","doc":""},{"ref":"Tai.Events.html#t:event/0","title":"Tai.Events.event/0","module":"Tai.Events","type":"type","doc":""},{"ref":"Tai.Events.AddFreeAssetBalance.html","title":"Tai.Events.AddFreeAssetBalance","module":"Tai.Events.AddFreeAssetBalance","type":"module","doc":""},{"ref":"Tai.Events.AddFreeAssetBalance.html#t:t/0","title":"Tai.Events.AddFreeAssetBalance.t/0","module":"Tai.Events.AddFreeAssetBalance","type":"type","doc":""},{"ref":"Tai.Events.AdvisorHandleInsideQuoteError.html","title":"Tai.Events.AdvisorHandleInsideQuoteError","module":"Tai.Events.AdvisorHandleInsideQuoteError","type":"module","doc":""},{"ref":"Tai.Events.AdvisorHandleInsideQuoteInvalidReturn.html","title":"Tai.Events.AdvisorHandleInsideQuoteInvalidReturn","module":"Tai.Events.AdvisorHandleInsideQuoteInvalidReturn","type":"module","doc":""},{"ref":"Tai.Events.AdvisorOrderUpdatedError.html","title":"Tai.Events.AdvisorOrderUpdatedError","module":"Tai.Events.AdvisorOrderUpdatedError","type":"module","doc":""},{"ref":"Tai.Events.Bitmex.PublicNotifications.html","title":"Tai.Events.Bitmex.PublicNotifications","module":"Tai.Events.Bitmex.PublicNotifications","type":"module","doc":""},{"ref":"Tai.Events.Bitmex.PublicNotifications.html#t:t/0","title":"Tai.Events.Bitmex.PublicNotifications.t/0","module":"Tai.Events.Bitmex.PublicNotifications","type":"type","doc":""},{"ref":"Tai.Events.BitmexStreamConnectionLimitDetails.html","title":"Tai.Events.BitmexStreamConnectionLimitDetails","module":"Tai.Events.BitmexStreamConnectionLimitDetails","type":"module","doc":""},{"ref":"Tai.Events.BitmexStreamConnectionLimitDetails.html#t:t/0","title":"Tai.Events.BitmexStreamConnectionLimitDetails.t/0","module":"Tai.Events.BitmexStreamConnectionLimitDetails","type":"type","doc":""},{"ref":"Tai.Events.ConnectedStats.html","title":"Tai.Events.ConnectedStats","module":"Tai.Events.ConnectedStats","type":"module","doc":""},{"ref":"Tai.Events.ConnectedStats.html#t:t/0","title":"Tai.Events.ConnectedStats.t/0","module":"Tai.Events.ConnectedStats","type":"type","doc":""},{"ref":"Tai.Events.DeleteLiquidation.html","title":"Tai.Events.DeleteLiquidation","module":"Tai.Events.DeleteLiquidation","type":"module","doc":""},{"ref":"Tai.Events.DeleteLiquidation.html#t:t/0","title":"Tai.Events.DeleteLiquidation.t/0","module":"Tai.Events.DeleteLiquidation","type":"type","doc":""},{"ref":"Tai.Events.Funding.html","title":"Tai.Events.Funding","module":"Tai.Events.Funding","type":"module","doc":""},{"ref":"Tai.Events.Funding.html#t:t/0","title":"Tai.Events.Funding.t/0","module":"Tai.Events.Funding","type":"type","doc":""},{"ref":"Tai.Events.HydratePositions.html","title":"Tai.Events.HydratePositions","module":"Tai.Events.HydratePositions","type":"module","doc":""},{"ref":"Tai.Events.HydratePositions.html#t:t/0","title":"Tai.Events.HydratePositions.t/0","module":"Tai.Events.HydratePositions","type":"type","doc":""},{"ref":"Tai.Events.HydrateProducts.html","title":"Tai.Events.HydrateProducts","module":"Tai.Events.HydrateProducts","type":"module","doc":""},{"ref":"Tai.Events.HydrateProducts.html#t:t/0","title":"Tai.Events.HydrateProducts.t/0","module":"Tai.Events.HydrateProducts","type":"type","doc":""},{"ref":"Tai.Events.InsertLiquidation.html","title":"Tai.Events.InsertLiquidation","module":"Tai.Events.InsertLiquidation","type":"module","doc":""},{"ref":"Tai.Events.InsertLiquidation.html#t:t/0","title":"Tai.Events.InsertLiquidation.t/0","module":"Tai.Events.InsertLiquidation","type":"type","doc":""},{"ref":"Tai.Events.LockAssetBalanceInsufficientFunds.html","title":"Tai.Events.LockAssetBalanceInsufficientFunds","module":"Tai.Events.LockAssetBalanceInsufficientFunds","type":"module","doc":""},{"ref":"Tai.Events.LockAssetBalanceInsufficientFunds.html#t:t/0","title":"Tai.Events.LockAssetBalanceInsufficientFunds.t/0","module":"Tai.Events.LockAssetBalanceInsufficientFunds","type":"type","doc":""},{"ref":"Tai.Events.LockAssetBalanceOk.html","title":"Tai.Events.LockAssetBalanceOk","module":"Tai.Events.LockAssetBalanceOk","type":"module","doc":""},{"ref":"Tai.Events.LockAssetBalanceOk.html#t:t/0","title":"Tai.Events.LockAssetBalanceOk.t/0","module":"Tai.Events.LockAssetBalanceOk","type":"type","doc":""},{"ref":"Tai.Events.OrderBookSnapshot.html","title":"Tai.Events.OrderBookSnapshot","module":"Tai.Events.OrderBookSnapshot","type":"module","doc":""},{"ref":"Tai.Events.OrderBookSnapshot.html#t:order_book/0","title":"Tai.Events.OrderBookSnapshot.order_book/0","module":"Tai.Events.OrderBookSnapshot","type":"type","doc":""},{"ref":"Tai.Events.OrderBookSnapshot.html#t:t/0","title":"Tai.Events.OrderBookSnapshot.t/0","module":"Tai.Events.OrderBookSnapshot","type":"type","doc":""},{"ref":"Tai.Events.OrderUpdateInvalidStatus.html","title":"Tai.Events.OrderUpdateInvalidStatus","module":"Tai.Events.OrderUpdateInvalidStatus","type":"module","doc":""},{"ref":"Tai.Events.OrderUpdateInvalidStatus.html#t:order_status/0","title":"Tai.Events.OrderUpdateInvalidStatus.order_status/0","module":"Tai.Events.OrderUpdateInvalidStatus","type":"type","doc":""},{"ref":"Tai.Events.OrderUpdateInvalidStatus.html#t:t/0","title":"Tai.Events.OrderUpdateInvalidStatus.t/0","module":"Tai.Events.OrderUpdateInvalidStatus","type":"type","doc":""},{"ref":"Tai.Events.OrderUpdateNotFound.html","title":"Tai.Events.OrderUpdateNotFound","module":"Tai.Events.OrderUpdateNotFound","type":"module","doc":""},{"ref":"Tai.Events.OrderUpdateNotFound.html#t:t/0","title":"Tai.Events.OrderUpdateNotFound.t/0","module":"Tai.Events.OrderUpdateNotFound","type":"type","doc":""},{"ref":"Tai.Events.OrderUpdated.html","title":"Tai.Events.OrderUpdated","module":"Tai.Events.OrderUpdated","type":"module","doc":""},{"ref":"Tai.Events.OrderUpdated.html#t:client_id/0","title":"Tai.Events.OrderUpdated.client_id/0","module":"Tai.Events.OrderUpdated","type":"type","doc":""},{"ref":"Tai.Events.OrderUpdated.html#t:side/0","title":"Tai.Events.OrderUpdated.side/0","module":"Tai.Events.OrderUpdated","type":"type","doc":""},{"ref":"Tai.Events.OrderUpdated.html#t:status/0","title":"Tai.Events.OrderUpdated.status/0","module":"Tai.Events.OrderUpdated","type":"type","doc":""},{"ref":"Tai.Events.OrderUpdated.html#t:t/0","title":"Tai.Events.OrderUpdated.t/0","module":"Tai.Events.OrderUpdated","type":"type","doc":""},{"ref":"Tai.Events.OrderUpdated.html#t:time_in_force/0","title":"Tai.Events.OrderUpdated.time_in_force/0","module":"Tai.Events.OrderUpdated","type":"type","doc":""},{"ref":"Tai.Events.OrderUpdated.html#t:type/0","title":"Tai.Events.OrderUpdated.type/0","module":"Tai.Events.OrderUpdated","type":"type","doc":""},{"ref":"Tai.Events.PositionUpdate.html","title":"Tai.Events.PositionUpdate","module":"Tai.Events.PositionUpdate","type":"module","doc":""},{"ref":"Tai.Events.PositionUpdate.html#t:t/0","title":"Tai.Events.PositionUpdate.t/0","module":"Tai.Events.PositionUpdate","type":"type","doc":""},{"ref":"Tai.Events.Settlement.html","title":"Tai.Events.Settlement","module":"Tai.Events.Settlement","type":"module","doc":""},{"ref":"Tai.Events.Settlement.html#t:t/0","title":"Tai.Events.Settlement.t/0","module":"Tai.Events.Settlement","type":"type","doc":""},{"ref":"Tai.Events.StreamConnectionOk.html","title":"Tai.Events.StreamConnectionOk","module":"Tai.Events.StreamConnectionOk","type":"module","doc":""},{"ref":"Tai.Events.StreamConnectionOk.html#t:t/0","title":"Tai.Events.StreamConnectionOk.t/0","module":"Tai.Events.StreamConnectionOk","type":"type","doc":""},{"ref":"Tai.Events.StreamDisconnect.html","title":"Tai.Events.StreamDisconnect","module":"Tai.Events.StreamDisconnect","type":"module","doc":""},{"ref":"Tai.Events.StreamDisconnect.html#t:t/0","title":"Tai.Events.StreamDisconnect.t/0","module":"Tai.Events.StreamDisconnect","type":"type","doc":""},{"ref":"Tai.Events.StreamMessageUnhandled.html","title":"Tai.Events.StreamMessageUnhandled","module":"Tai.Events.StreamMessageUnhandled","type":"module","doc":""},{"ref":"Tai.Events.StreamMessageUnhandled.html#t:t/0","title":"Tai.Events.StreamMessageUnhandled.t/0","module":"Tai.Events.StreamMessageUnhandled","type":"type","doc":""},{"ref":"Tai.Events.SubFreeAssetBalance.html","title":"Tai.Events.SubFreeAssetBalance","module":"Tai.Events.SubFreeAssetBalance","type":"module","doc":""},{"ref":"Tai.Events.SubFreeAssetBalance.html#t:t/0","title":"Tai.Events.SubFreeAssetBalance.t/0","module":"Tai.Events.SubFreeAssetBalance","type":"type","doc":""},{"ref":"Tai.Events.Trade.html","title":"Tai.Events.Trade","module":"Tai.Events.Trade","type":"module","doc":""},{"ref":"Tai.Events.Trade.html#t:t/0","title":"Tai.Events.Trade.t/0","module":"Tai.Events.Trade","type":"type","doc":""},{"ref":"Tai.Events.UnlockAssetBalanceInsufficientFunds.html","title":"Tai.Events.UnlockAssetBalanceInsufficientFunds","module":"Tai.Events.UnlockAssetBalanceInsufficientFunds","type":"module","doc":""},{"ref":"Tai.Events.UnlockAssetBalanceInsufficientFunds.html#t:t/0","title":"Tai.Events.UnlockAssetBalanceInsufficientFunds.t/0","module":"Tai.Events.UnlockAssetBalanceInsufficientFunds","type":"type","doc":""},{"ref":"Tai.Events.UnlockAssetBalanceOk.html","title":"Tai.Events.UnlockAssetBalanceOk","module":"Tai.Events.UnlockAssetBalanceOk","type":"module","doc":""},{"ref":"Tai.Events.UnlockAssetBalanceOk.html#t:t/0","title":"Tai.Events.UnlockAssetBalanceOk.t/0","module":"Tai.Events.UnlockAssetBalanceOk","type":"type","doc":""},{"ref":"Tai.Events.UpdateLiquidationLeavesQty.html","title":"Tai.Events.UpdateLiquidationLeavesQty","module":"Tai.Events.UpdateLiquidationLeavesQty","type":"module","doc":""},{"ref":"Tai.Events.UpdateLiquidationLeavesQty.html#t:t/0","title":"Tai.Events.UpdateLiquidationLeavesQty.t/0","module":"Tai.Events.UpdateLiquidationLeavesQty","type":"type","doc":""},{"ref":"Tai.Events.UpdateLiquidationPrice.html","title":"Tai.Events.UpdateLiquidationPrice","module":"Tai.Events.UpdateLiquidationPrice","type":"module","doc":""},{"ref":"Tai.Events.UpdateLiquidationPrice.html#t:t/0","title":"Tai.Events.UpdateLiquidationPrice.t/0","module":"Tai.Events.UpdateLiquidationPrice","type":"type","doc":""},{"ref":"Tai.Events.UpsertAssetBalance.html","title":"Tai.Events.UpsertAssetBalance","module":"Tai.Events.UpsertAssetBalance","type":"module","doc":""},{"ref":"Tai.Events.UpsertAssetBalance.html#t:t/0","title":"Tai.Events.UpsertAssetBalance.t/0","module":"Tai.Events.UpsertAssetBalance","type":"type","doc":""},{"ref":"Tai.EventsLogger.html","title":"Tai.EventsLogger","module":"Tai.EventsLogger","type":"module","doc":""},{"ref":"Tai.EventsLogger.html#child_spec/1","title":"Tai.EventsLogger.child_spec/1","module":"Tai.EventsLogger","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.EventsLogger.html#init/1","title":"Tai.EventsLogger.init/1","module":"Tai.EventsLogger","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.EventsLogger.html#start_link/1","title":"Tai.EventsLogger.start_link/1","module":"Tai.EventsLogger","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Account.html","title":"Tai.ExchangeAdapters.Gdax.Account","module":"Tai.ExchangeAdapters.Gdax.Account","type":"module","doc":"Execute private exchange actions for the GDAX account"},{"ref":"Tai.ExchangeAdapters.Gdax.Account.html#amend_order/3","title":"Tai.ExchangeAdapters.Gdax.Account.amend_order/3","module":"Tai.ExchangeAdapters.Gdax.Account","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Account.html#cancel_order/2","title":"Tai.ExchangeAdapters.Gdax.Account.cancel_order/2","module":"Tai.ExchangeAdapters.Gdax.Account","type":"function","doc":"Callback implementation for Tai.Exchanges.Account.cancel_order/2."},{"ref":"Tai.ExchangeAdapters.Gdax.Account.html#child_spec/1","title":"Tai.ExchangeAdapters.Gdax.Account.child_spec/1","module":"Tai.ExchangeAdapters.Gdax.Account","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.ExchangeAdapters.Gdax.Account.html#create_order/2","title":"Tai.ExchangeAdapters.Gdax.Account.create_order/2","module":"Tai.ExchangeAdapters.Gdax.Account","type":"function","doc":"Callback implementation for Tai.Exchanges.Account.create_order/2."},{"ref":"Tai.ExchangeAdapters.Gdax.Account.html#init/1","title":"Tai.ExchangeAdapters.Gdax.Account.init/1","module":"Tai.ExchangeAdapters.Gdax.Account","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.ExchangeAdapters.Gdax.Account.html#order_status/2","title":"Tai.ExchangeAdapters.Gdax.Account.order_status/2","module":"Tai.ExchangeAdapters.Gdax.Account","type":"function","doc":"Callback implementation for Tai.Exchanges.Account.order_status/2."},{"ref":"Tai.ExchangeAdapters.Gdax.Account.html#start_link/1","title":"Tai.ExchangeAdapters.Gdax.Account.start_link/1","module":"Tai.ExchangeAdapters.Gdax.Account","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Account.CancelOrder.html","title":"Tai.ExchangeAdapters.Gdax.Account.CancelOrder","module":"Tai.ExchangeAdapters.Gdax.Account.CancelOrder","type":"module","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Account.CancelOrder.html#execute/2","title":"Tai.ExchangeAdapters.Gdax.Account.CancelOrder.execute/2","module":"Tai.ExchangeAdapters.Gdax.Account.CancelOrder","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Account.OrderStatus.html","title":"Tai.ExchangeAdapters.Gdax.Account.OrderStatus","module":"Tai.ExchangeAdapters.Gdax.Account.OrderStatus","type":"module","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Account.OrderStatus.html#fetch/2","title":"Tai.ExchangeAdapters.Gdax.Account.OrderStatus.fetch/2","module":"Tai.ExchangeAdapters.Gdax.Account.OrderStatus","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Account.OrderStatus.html#from_venue_status/1","title":"Tai.ExchangeAdapters.Gdax.Account.OrderStatus.from_venue_status/1","module":"Tai.ExchangeAdapters.Gdax.Account.OrderStatus","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Account.Orders.html","title":"Tai.ExchangeAdapters.Gdax.Account.Orders","module":"Tai.ExchangeAdapters.Gdax.Account.Orders","type":"module","doc":"Create buy and sell orders for the GDAX adapter"},{"ref":"Tai.ExchangeAdapters.Gdax.Account.Orders.html#create/2","title":"Tai.ExchangeAdapters.Gdax.Account.Orders.create/2","module":"Tai.ExchangeAdapters.Gdax.Account.Orders","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Product.html","title":"Tai.ExchangeAdapters.Gdax.Product","module":"Tai.ExchangeAdapters.Gdax.Product","type":"module","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Product.html#to_product_id/1","title":"Tai.ExchangeAdapters.Gdax.Product.to_product_id/1","module":"Tai.ExchangeAdapters.Gdax.Product","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Product.html#to_product_ids/1","title":"Tai.ExchangeAdapters.Gdax.Product.to_product_ids/1","module":"Tai.ExchangeAdapters.Gdax.Product","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Product.html#to_symbol/1","title":"Tai.ExchangeAdapters.Gdax.Product.to_symbol/1","module":"Tai.ExchangeAdapters.Gdax.Product","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Gdax.Supervisor.html","title":"Tai.ExchangeAdapters.Gdax.Supervisor","module":"Tai.ExchangeAdapters.Gdax.Supervisor","type":"module","doc":"Supervisor for the GDAX exchange adapter"},{"ref":"Tai.ExchangeAdapters.Gdax.Supervisor.html#account/0","title":"Tai.ExchangeAdapters.Gdax.Supervisor.account/0","module":"Tai.ExchangeAdapters.Gdax.Supervisor","type":"function","doc":"Callback implementation for Tai.Exchanges.AdapterSupervisor.account/0."},{"ref":"Tai.ExchangeAdapters.Gdax.Supervisor.html#child_spec/1","title":"Tai.ExchangeAdapters.Gdax.Supervisor.child_spec/1","module":"Tai.ExchangeAdapters.Gdax.Supervisor","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.ExchangeAdapters.Gdax.Supervisor.html#init/1","title":"Tai.ExchangeAdapters.Gdax.Supervisor.init/1","module":"Tai.ExchangeAdapters.Gdax.Supervisor","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke Supervisor.init/2 at the end of their init callback to return the proper supervision flags. Callback implementation for Supervisor.init/1."},{"ref":"Tai.ExchangeAdapters.Gdax.Supervisor.html#start_link/1","title":"Tai.ExchangeAdapters.Gdax.Supervisor.start_link/1","module":"Tai.ExchangeAdapters.Gdax.Supervisor","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Mock.Account.html","title":"Tai.ExchangeAdapters.Mock.Account","module":"Tai.ExchangeAdapters.Mock.Account","type":"module","doc":""},{"ref":"Tai.ExchangeAdapters.Mock.Account.html#amend_order/3","title":"Tai.ExchangeAdapters.Mock.Account.amend_order/3","module":"Tai.ExchangeAdapters.Mock.Account","type":"function","doc":"See Tai.VenueAdapters.Mock.amend_order/3."},{"ref":"Tai.ExchangeAdapters.Mock.Account.html#cancel_order/2","title":"Tai.ExchangeAdapters.Mock.Account.cancel_order/2","module":"Tai.ExchangeAdapters.Mock.Account","type":"function","doc":"Callback implementation for Tai.Exchanges.Account.cancel_order/2."},{"ref":"Tai.ExchangeAdapters.Mock.Account.html#child_spec/1","title":"Tai.ExchangeAdapters.Mock.Account.child_spec/1","module":"Tai.ExchangeAdapters.Mock.Account","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.ExchangeAdapters.Mock.Account.html#create_order/2","title":"Tai.ExchangeAdapters.Mock.Account.create_order/2","module":"Tai.ExchangeAdapters.Mock.Account","type":"function","doc":"Callback implementation for Tai.Exchanges.Account.create_order/2."},{"ref":"Tai.ExchangeAdapters.Mock.Account.html#init/1","title":"Tai.ExchangeAdapters.Mock.Account.init/1","module":"Tai.ExchangeAdapters.Mock.Account","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.ExchangeAdapters.Mock.Account.html#order_status/2","title":"Tai.ExchangeAdapters.Mock.Account.order_status/2","module":"Tai.ExchangeAdapters.Mock.Account","type":"function","doc":"Callback implementation for Tai.Exchanges.Account.order_status/2."},{"ref":"Tai.ExchangeAdapters.Mock.Account.html#start_link/1","title":"Tai.ExchangeAdapters.Mock.Account.start_link/1","module":"Tai.ExchangeAdapters.Mock.Account","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Mock.Supervisor.html","title":"Tai.ExchangeAdapters.Mock.Supervisor","module":"Tai.ExchangeAdapters.Mock.Supervisor","type":"module","doc":"Supervisor for the mock exchange adapter"},{"ref":"Tai.ExchangeAdapters.Mock.Supervisor.html#account/0","title":"Tai.ExchangeAdapters.Mock.Supervisor.account/0","module":"Tai.ExchangeAdapters.Mock.Supervisor","type":"function","doc":"Callback implementation for Tai.Exchanges.AdapterSupervisor.account/0."},{"ref":"Tai.ExchangeAdapters.Mock.Supervisor.html#child_spec/1","title":"Tai.ExchangeAdapters.Mock.Supervisor.child_spec/1","module":"Tai.ExchangeAdapters.Mock.Supervisor","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.ExchangeAdapters.Mock.Supervisor.html#init/1","title":"Tai.ExchangeAdapters.Mock.Supervisor.init/1","module":"Tai.ExchangeAdapters.Mock.Supervisor","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke Supervisor.init/2 at the end of their init callback to return the proper supervision flags. Callback implementation for Supervisor.init/1."},{"ref":"Tai.ExchangeAdapters.Mock.Supervisor.html#start_link/1","title":"Tai.ExchangeAdapters.Mock.Supervisor.start_link/1","module":"Tai.ExchangeAdapters.Mock.Supervisor","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Poloniex.Account.html","title":"Tai.ExchangeAdapters.Poloniex.Account","module":"Tai.ExchangeAdapters.Poloniex.Account","type":"module","doc":"Execute private exchange actions for the Poloniex account"},{"ref":"Tai.ExchangeAdapters.Poloniex.Account.html#amend_order/3","title":"Tai.ExchangeAdapters.Poloniex.Account.amend_order/3","module":"Tai.ExchangeAdapters.Poloniex.Account","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Poloniex.Account.html#cancel_order/2","title":"Tai.ExchangeAdapters.Poloniex.Account.cancel_order/2","module":"Tai.ExchangeAdapters.Poloniex.Account","type":"function","doc":"Callback implementation for Tai.Exchanges.Account.cancel_order/2."},{"ref":"Tai.ExchangeAdapters.Poloniex.Account.html#child_spec/1","title":"Tai.ExchangeAdapters.Poloniex.Account.child_spec/1","module":"Tai.ExchangeAdapters.Poloniex.Account","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.ExchangeAdapters.Poloniex.Account.html#create_order/2","title":"Tai.ExchangeAdapters.Poloniex.Account.create_order/2","module":"Tai.ExchangeAdapters.Poloniex.Account","type":"function","doc":"Callback implementation for Tai.Exchanges.Account.create_order/2."},{"ref":"Tai.ExchangeAdapters.Poloniex.Account.html#init/1","title":"Tai.ExchangeAdapters.Poloniex.Account.init/1","module":"Tai.ExchangeAdapters.Poloniex.Account","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.ExchangeAdapters.Poloniex.Account.html#order_status/2","title":"Tai.ExchangeAdapters.Poloniex.Account.order_status/2","module":"Tai.ExchangeAdapters.Poloniex.Account","type":"function","doc":"Callback implementation for Tai.Exchanges.Account.order_status/2."},{"ref":"Tai.ExchangeAdapters.Poloniex.Account.html#start_link/1","title":"Tai.ExchangeAdapters.Poloniex.Account.start_link/1","module":"Tai.ExchangeAdapters.Poloniex.Account","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Poloniex.Account.Orders.html","title":"Tai.ExchangeAdapters.Poloniex.Account.Orders","module":"Tai.ExchangeAdapters.Poloniex.Account.Orders","type":"module","doc":"Create buy and sell orders for the Poloniex adapter"},{"ref":"Tai.ExchangeAdapters.Poloniex.Account.Orders.html#create/2","title":"Tai.ExchangeAdapters.Poloniex.Account.Orders.create/2","module":"Tai.ExchangeAdapters.Poloniex.Account.Orders","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Poloniex.Supervisor.html","title":"Tai.ExchangeAdapters.Poloniex.Supervisor","module":"Tai.ExchangeAdapters.Poloniex.Supervisor","type":"module","doc":"Supervisor for the Poloniex exchange adapter"},{"ref":"Tai.ExchangeAdapters.Poloniex.Supervisor.html#account/0","title":"Tai.ExchangeAdapters.Poloniex.Supervisor.account/0","module":"Tai.ExchangeAdapters.Poloniex.Supervisor","type":"function","doc":"Callback implementation for Tai.Exchanges.AdapterSupervisor.account/0."},{"ref":"Tai.ExchangeAdapters.Poloniex.Supervisor.html#child_spec/1","title":"Tai.ExchangeAdapters.Poloniex.Supervisor.child_spec/1","module":"Tai.ExchangeAdapters.Poloniex.Supervisor","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.ExchangeAdapters.Poloniex.Supervisor.html#init/1","title":"Tai.ExchangeAdapters.Poloniex.Supervisor.init/1","module":"Tai.ExchangeAdapters.Poloniex.Supervisor","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke Supervisor.init/2 at the end of their init callback to return the proper supervision flags. Callback implementation for Supervisor.init/1."},{"ref":"Tai.ExchangeAdapters.Poloniex.Supervisor.html#start_link/1","title":"Tai.ExchangeAdapters.Poloniex.Supervisor.start_link/1","module":"Tai.ExchangeAdapters.Poloniex.Supervisor","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Poloniex.SymbolMapping.html","title":"Tai.ExchangeAdapters.Poloniex.SymbolMapping","module":"Tai.ExchangeAdapters.Poloniex.SymbolMapping","type":"module","doc":"Mappings between tai symbol format and Poloniex currency pair format"},{"ref":"Tai.ExchangeAdapters.Poloniex.SymbolMapping.html#to_poloniex/1","title":"Tai.ExchangeAdapters.Poloniex.SymbolMapping.to_poloniex/1","module":"Tai.ExchangeAdapters.Poloniex.SymbolMapping","type":"function","doc":""},{"ref":"Tai.ExchangeAdapters.Poloniex.SymbolMapping.html#to_tai/1","title":"Tai.ExchangeAdapters.Poloniex.SymbolMapping.to_tai/1","module":"Tai.ExchangeAdapters.Poloniex.SymbolMapping","type":"function","doc":""},{"ref":"Tai.Exchanges.Account.html","title":"Tai.Exchanges.Account","module":"Tai.Exchanges.Account","type":"behaviour","doc":"Uniform interface for private exchange actions"},{"ref":"Tai.Exchanges.Account.html#amend_order/2","title":"Tai.Exchanges.Account.amend_order/2","module":"Tai.Exchanges.Account","type":"function","doc":""},{"ref":"Tai.Exchanges.Account.html#c:cancel_order/2","title":"Tai.Exchanges.Account.cancel_order/2","module":"Tai.Exchanges.Account","type":"callback","doc":""},{"ref":"Tai.Exchanges.Account.html#cancel_order/3","title":"Tai.Exchanges.Account.cancel_order/3","module":"Tai.Exchanges.Account","type":"function","doc":""},{"ref":"Tai.Exchanges.Account.html#create_order/1","title":"Tai.Exchanges.Account.create_order/1","module":"Tai.Exchanges.Account","type":"function","doc":""},{"ref":"Tai.Exchanges.Account.html#c:create_order/2","title":"Tai.Exchanges.Account.create_order/2","module":"Tai.Exchanges.Account","type":"callback","doc":""},{"ref":"Tai.Exchanges.Account.html#c:order_status/2","title":"Tai.Exchanges.Account.order_status/2","module":"Tai.Exchanges.Account","type":"callback","doc":""},{"ref":"Tai.Exchanges.Account.html#order_status/3","title":"Tai.Exchanges.Account.order_status/3","module":"Tai.Exchanges.Account","type":"function","doc":""},{"ref":"Tai.Exchanges.Account.html#to_name/2","title":"Tai.Exchanges.Account.to_name/2","module":"Tai.Exchanges.Account","type":"function","doc":""},{"ref":"Tai.Exchanges.Account.html#t:create_order_error_reason/0","title":"Tai.Exchanges.Account.create_order_error_reason/0","module":"Tai.Exchanges.Account","type":"type","doc":""},{"ref":"Tai.Exchanges.Account.html#t:credentials/0","title":"Tai.Exchanges.Account.credentials/0","module":"Tai.Exchanges.Account","type":"type","doc":""},{"ref":"Tai.Exchanges.Account.html#t:order/0","title":"Tai.Exchanges.Account.order/0","module":"Tai.Exchanges.Account","type":"type","doc":""},{"ref":"Tai.Exchanges.Account.html#t:order_response/0","title":"Tai.Exchanges.Account.order_response/0","module":"Tai.Exchanges.Account","type":"type","doc":""},{"ref":"Tai.Exchanges.Account.html#t:order_status/0","title":"Tai.Exchanges.Account.order_status/0","module":"Tai.Exchanges.Account","type":"type","doc":""},{"ref":"Tai.Exchanges.Account.html#t:shared_error_reason/0","title":"Tai.Exchanges.Account.shared_error_reason/0","module":"Tai.Exchanges.Account","type":"type","doc":""},{"ref":"Tai.Exchanges.Account.html#t:t/0","title":"Tai.Exchanges.Account.t/0","module":"Tai.Exchanges.Account","type":"type","doc":""},{"ref":"Tai.Exchanges.Account.html#t:time_in_force/0","title":"Tai.Exchanges.Account.time_in_force/0","module":"Tai.Exchanges.Account","type":"type","doc":""},{"ref":"Tai.Exchanges.Account.html#t:venue_order_id/0","title":"Tai.Exchanges.Account.venue_order_id/0","module":"Tai.Exchanges.Account","type":"type","doc":""},{"ref":"Tai.Exchanges.AccountsSupervisor.html","title":"Tai.Exchanges.AccountsSupervisor","module":"Tai.Exchanges.AccountsSupervisor","type":"module","doc":""},{"ref":"Tai.Exchanges.AccountsSupervisor.html#child_spec/1","title":"Tai.Exchanges.AccountsSupervisor.child_spec/1","module":"Tai.Exchanges.AccountsSupervisor","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.Exchanges.AccountsSupervisor.html#init/1","title":"Tai.Exchanges.AccountsSupervisor.init/1","module":"Tai.Exchanges.AccountsSupervisor","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke Supervisor.init/2 at the end of their init callback to return the proper supervision flags. Callback implementation for Supervisor.init/1."},{"ref":"Tai.Exchanges.AccountsSupervisor.html#start_link/1","title":"Tai.Exchanges.AccountsSupervisor.start_link/1","module":"Tai.Exchanges.AccountsSupervisor","type":"function","doc":""},{"ref":"Tai.Exchanges.AdapterSupervisor.html","title":"Tai.Exchanges.AdapterSupervisor","module":"Tai.Exchanges.AdapterSupervisor","type":"behaviour","doc":""},{"ref":"Tai.Exchanges.AdapterSupervisor.html#c:account/0","title":"Tai.Exchanges.AdapterSupervisor.account/0","module":"Tai.Exchanges.AdapterSupervisor","type":"callback","doc":""},{"ref":"Tai.Exchanges.Config.html","title":"Tai.Exchanges.Config","module":"Tai.Exchanges.Config","type":"module","doc":""},{"ref":"Tai.Exchanges.Config.html#t:t/0","title":"Tai.Exchanges.Config.t/0","module":"Tai.Exchanges.Config","type":"type","doc":""},{"ref":"Tai.LogEvent.html","title":"Tai.LogEvent","module":"Tai.LogEvent","type":"protocol","doc":""},{"ref":"Tai.LogEvent.html#to_data/1","title":"Tai.LogEvent.to_data/1","module":"Tai.LogEvent","type":"function","doc":""},{"ref":"Tai.LogEvent.html#t:t/0","title":"Tai.LogEvent.t/0","module":"Tai.LogEvent","type":"type","doc":""},{"ref":"Tai.Markets.Asset.html","title":"Tai.Markets.Asset","module":"Tai.Markets.Asset","type":"module","doc":"Arbitratry precision arithmetic for assets"},{"ref":"Tai.Markets.Asset.html#add/2","title":"Tai.Markets.Asset.add/2","module":"Tai.Markets.Asset","type":"function","doc":""},{"ref":"Tai.Markets.Asset.html#new/2","title":"Tai.Markets.Asset.new/2","module":"Tai.Markets.Asset","type":"function","doc":""},{"ref":"Tai.Markets.Asset.html#sub/2","title":"Tai.Markets.Asset.sub/2","module":"Tai.Markets.Asset","type":"function","doc":""},{"ref":"Tai.Markets.Asset.html#zero?/1","title":"Tai.Markets.Asset.zero?/1","module":"Tai.Markets.Asset","type":"function","doc":""},{"ref":"Tai.Markets.Location.html","title":"Tai.Markets.Location","module":"Tai.Markets.Location","type":"module","doc":"The venue a product can be traded"},{"ref":"Tai.Markets.Location.html#t:t/0","title":"Tai.Markets.Location.t/0","module":"Tai.Markets.Location","type":"type","doc":""},{"ref":"Tai.Markets.OrderBook.html","title":"Tai.Markets.OrderBook","module":"Tai.Markets.OrderBook","type":"module","doc":"Manage and query the state for an order book for a symbol on a feed"},{"ref":"Tai.Markets.OrderBook.html#child_spec/1","title":"Tai.Markets.OrderBook.child_spec/1","module":"Tai.Markets.OrderBook","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.Markets.OrderBook.html#init/1","title":"Tai.Markets.OrderBook.init/1","module":"Tai.Markets.OrderBook","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.Markets.OrderBook.html#inside_quote/2","title":"Tai.Markets.OrderBook.inside_quote/2","module":"Tai.Markets.OrderBook","type":"function","doc":"Return the bid/ask at the top of the book"},{"ref":"Tai.Markets.OrderBook.html#quotes/2","title":"Tai.Markets.OrderBook.quotes/2","module":"Tai.Markets.OrderBook","type":"function","doc":"Return bid/asks up to the given depth. If depth is not provided it returns the full order book."},{"ref":"Tai.Markets.OrderBook.html#replace/1","title":"Tai.Markets.OrderBook.replace/1","module":"Tai.Markets.OrderBook","type":"function","doc":""},{"ref":"Tai.Markets.OrderBook.html#start_link/1","title":"Tai.Markets.OrderBook.start_link/1","module":"Tai.Markets.OrderBook","type":"function","doc":""},{"ref":"Tai.Markets.OrderBook.html#to_name/2","title":"Tai.Markets.OrderBook.to_name/2","module":"Tai.Markets.OrderBook","type":"function","doc":""},{"ref":"Tai.Markets.OrderBook.html#update/1","title":"Tai.Markets.OrderBook.update/1","module":"Tai.Markets.OrderBook","type":"function","doc":""},{"ref":"Tai.Markets.OrderBook.html#update/2","title":"Tai.Markets.OrderBook.update/2","module":"Tai.Markets.OrderBook","type":"function","doc":""},{"ref":"Tai.Markets.OrderBook.html#t:t/0","title":"Tai.Markets.OrderBook.t/0","module":"Tai.Markets.OrderBook","type":"type","doc":""},{"ref":"Tai.Markets.PriceLevel.html","title":"Tai.Markets.PriceLevel","module":"Tai.Markets.PriceLevel","type":"module","doc":"A level of a side in an order book"},{"ref":"Tai.Markets.PriceLevel.html#fetch/2","title":"Tai.Markets.PriceLevel.fetch/2","module":"Tai.Markets.PriceLevel","type":"function","doc":""},{"ref":"Tai.Markets.PriceLevel.html#get/3","title":"Tai.Markets.PriceLevel.get/3","module":"Tai.Markets.PriceLevel","type":"function","doc":""},{"ref":"Tai.Markets.PriceLevel.html#t:t/0","title":"Tai.Markets.PriceLevel.t/0","module":"Tai.Markets.PriceLevel","type":"type","doc":""},{"ref":"Tai.Markets.Quote.html","title":"Tai.Markets.Quote","module":"Tai.Markets.Quote","type":"module","doc":"Represents a bid &amp; ask price level row in the order book"},{"ref":"Tai.Markets.Quote.html#t:price_level/0","title":"Tai.Markets.Quote.price_level/0","module":"Tai.Markets.Quote","type":"type","doc":""},{"ref":"Tai.Markets.Quote.html#t:t/0","title":"Tai.Markets.Quote.t/0","module":"Tai.Markets.Quote","type":"type","doc":""},{"ref":"Tai.PubSub.html","title":"Tai.PubSub","module":"Tai.PubSub","type":"module","doc":""},{"ref":"Tai.PubSub.html#broadcast/2","title":"Tai.PubSub.broadcast/2","module":"Tai.PubSub","type":"function","doc":""},{"ref":"Tai.PubSub.html#child_spec/1","title":"Tai.PubSub.child_spec/1","module":"Tai.PubSub","type":"function","doc":""},{"ref":"Tai.PubSub.html#start_link/1","title":"Tai.PubSub.start_link/1","module":"Tai.PubSub","type":"function","doc":""},{"ref":"Tai.PubSub.html#subscribe/1","title":"Tai.PubSub.subscribe/1","module":"Tai.PubSub","type":"function","doc":""},{"ref":"Tai.PubSub.html#unsubscribe/1","title":"Tai.PubSub.unsubscribe/1","module":"Tai.PubSub","type":"function","doc":""},{"ref":"Tai.ServiceUnavailableError.html","title":"Tai.ServiceUnavailableError","module":"Tai.ServiceUnavailableError","type":"module","doc":"Module which represents errors when the service is responding that they are unavailable e.g. HTTP 503 https://developer.mozilla.org/en-US/docs/Web/HTTP/Status/503"},{"ref":"Tai.ServiceUnavailableError.html#t:t/0","title":"Tai.ServiceUnavailableError.t/0","module":"Tai.ServiceUnavailableError","type":"type","doc":""},{"ref":"Tai.Settings.html","title":"Tai.Settings","module":"Tai.Settings","type":"module","doc":"Global settings"},{"ref":"Tai.Settings.html#all/0","title":"Tai.Settings.all/0","module":"Tai.Settings","type":"function","doc":""},{"ref":"Tai.Settings.html#child_spec/1","title":"Tai.Settings.child_spec/1","module":"Tai.Settings","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.Settings.html#disable_send_orders!/0","title":"Tai.Settings.disable_send_orders!/0","module":"Tai.Settings","type":"function","doc":""},{"ref":"Tai.Settings.html#enable_send_orders!/0","title":"Tai.Settings.enable_send_orders!/0","module":"Tai.Settings","type":"function","doc":""},{"ref":"Tai.Settings.html#from_config/1","title":"Tai.Settings.from_config/1","module":"Tai.Settings","type":"function","doc":""},{"ref":"Tai.Settings.html#init/1","title":"Tai.Settings.init/1","module":"Tai.Settings","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.Settings.html#send_orders?/0","title":"Tai.Settings.send_orders?/0","module":"Tai.Settings","type":"function","doc":""},{"ref":"Tai.Settings.html#start_link/1","title":"Tai.Settings.start_link/1","module":"Tai.Settings","type":"function","doc":""},{"ref":"Tai.Symbol.html","title":"Tai.Symbol","module":"Tai.Symbol","type":"module","doc":"Transform symbols between tai and exchange formats"},{"ref":"Tai.Symbol.html#base_and_quote/1","title":"Tai.Symbol.base_and_quote/1","module":"Tai.Symbol","type":"function","doc":""},{"ref":"Tai.Symbol.html#build/2","title":"Tai.Symbol.build/2","module":"Tai.Symbol","type":"function","doc":""},{"ref":"Tai.Symbol.html#downcase/1","title":"Tai.Symbol.downcase/1","module":"Tai.Symbol","type":"function","doc":""},{"ref":"Tai.Symbol.html#downcase_all/1","title":"Tai.Symbol.downcase_all/1","module":"Tai.Symbol","type":"function","doc":""},{"ref":"Tai.Symbol.html#upcase/1","title":"Tai.Symbol.upcase/1","module":"Tai.Symbol","type":"function","doc":""},{"ref":"Tai.TestSupport.ExchangeBootHandler.html","title":"Tai.TestSupport.ExchangeBootHandler","module":"Tai.TestSupport.ExchangeBootHandler","type":"module","doc":""},{"ref":"Tai.TestSupport.ExchangeBootHandler.html#parse_response/1","title":"Tai.TestSupport.ExchangeBootHandler.parse_response/1","module":"Tai.TestSupport.ExchangeBootHandler","type":"function","doc":""},{"ref":"Tai.TestSupport.Helpers.html","title":"Tai.TestSupport.Helpers","module":"Tai.TestSupport.Helpers","type":"module","doc":""},{"ref":"Tai.TestSupport.Helpers.html#fire_order_callback/1","title":"Tai.TestSupport.Helpers.fire_order_callback/1","module":"Tai.TestSupport.Helpers","type":"function","doc":""},{"ref":"Tai.TestSupport.Helpers.html#test_venue_adapters/0","title":"Tai.TestSupport.Helpers.test_venue_adapters/0","module":"Tai.TestSupport.Helpers","type":"function","doc":""},{"ref":"Tai.TestSupport.Helpers.html#test_venue_adapters_create_order/0","title":"Tai.TestSupport.Helpers.test_venue_adapters_create_order/0","module":"Tai.TestSupport.Helpers","type":"function","doc":""},{"ref":"Tai.TestSupport.Helpers.html#test_venue_adapters_with_positions/0","title":"Tai.TestSupport.Helpers.test_venue_adapters_with_positions/0","module":"Tai.TestSupport.Helpers","type":"function","doc":""},{"ref":"Tai.TestSupport.Mock.html","title":"Tai.TestSupport.Mock","module":"Tai.TestSupport.Mock","type":"module","doc":""},{"ref":"Tai.TestSupport.Mock.html#mock_asset_balance/5","title":"Tai.TestSupport.Mock.mock_asset_balance/5","module":"Tai.TestSupport.Mock","type":"function","doc":""},{"ref":"Tai.TestSupport.Mock.html#mock_fee_info/1","title":"Tai.TestSupport.Mock.mock_fee_info/1","module":"Tai.TestSupport.Mock","type":"function","doc":""},{"ref":"Tai.TestSupport.Mock.html#mock_product/1","title":"Tai.TestSupport.Mock.mock_product/1","module":"Tai.TestSupport.Mock","type":"function","doc":""},{"ref":"Tai.TestSupport.Mock.html#push_market_data_snapshot/3","title":"Tai.TestSupport.Mock.push_market_data_snapshot/3","module":"Tai.TestSupport.Mock","type":"function","doc":""},{"ref":"Tai.TestSupport.Mock.html#push_order_update/2","title":"Tai.TestSupport.Mock.push_order_update/2","module":"Tai.TestSupport.Mock","type":"function","doc":""},{"ref":"Tai.TestSupport.Mock.html#to_decimal/1","title":"Tai.TestSupport.Mock.to_decimal/1","module":"Tai.TestSupport.Mock","type":"function","doc":""},{"ref":"Tai.TestSupport.Mock.html#t:fee_info/0","title":"Tai.TestSupport.Mock.fee_info/0","module":"Tai.TestSupport.Mock","type":"type","doc":""},{"ref":"Tai.TestSupport.Mock.html#t:location/0","title":"Tai.TestSupport.Mock.location/0","module":"Tai.TestSupport.Mock","type":"type","doc":""},{"ref":"Tai.TestSupport.Mock.html#t:product/0","title":"Tai.TestSupport.Mock.product/0","module":"Tai.TestSupport.Mock","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Client.html","title":"Tai.TestSupport.Mocks.Client","module":"Tai.TestSupport.Mocks.Client","type":"module","doc":""},{"ref":"Tai.TestSupport.Mocks.Client.html#with_mock_server/1","title":"Tai.TestSupport.Mocks.Client.with_mock_server/1","module":"Tai.TestSupport.Mocks.Client","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.AssetBalances.html","title":"Tai.TestSupport.Mocks.Responses.AssetBalances","module":"Tai.TestSupport.Mocks.Responses.AssetBalances","type":"module","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.AssetBalances.html#for_exchange_and_account/3","title":"Tai.TestSupport.Mocks.Responses.AssetBalances.for_exchange_and_account/3","module":"Tai.TestSupport.Mocks.Responses.AssetBalances","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.MakerTakerFees.html","title":"Tai.TestSupport.Mocks.Responses.MakerTakerFees","module":"Tai.TestSupport.Mocks.Responses.MakerTakerFees","type":"module","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.MakerTakerFees.html#for_exchange_and_account/3","title":"Tai.TestSupport.Mocks.Responses.MakerTakerFees.for_exchange_and_account/3","module":"Tai.TestSupport.Mocks.Responses.MakerTakerFees","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.Error.html","title":"Tai.TestSupport.Mocks.Responses.Orders.Error","module":"Tai.TestSupport.Mocks.Responses.Orders.Error","type":"module","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.Error.html#amend_raise/3","title":"Tai.TestSupport.Mocks.Responses.Orders.Error.amend_raise/3","module":"Tai.TestSupport.Mocks.Responses.Orders.Error","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.Error.html#cancel_raise/2","title":"Tai.TestSupport.Mocks.Responses.Orders.Error.cancel_raise/2","module":"Tai.TestSupport.Mocks.Responses.Orders.Error","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.Error.html#create_raise/2","title":"Tai.TestSupport.Mocks.Responses.Orders.Error.create_raise/2","module":"Tai.TestSupport.Mocks.Responses.Orders.Error","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.Error.html#t:amend_attrs/0","title":"Tai.TestSupport.Mocks.Responses.Orders.Error.amend_attrs/0","module":"Tai.TestSupport.Mocks.Responses.Orders.Error","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.Error.html#t:buy_limit/0","title":"Tai.TestSupport.Mocks.Responses.Orders.Error.buy_limit/0","module":"Tai.TestSupport.Mocks.Responses.Orders.Error","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.Error.html#t:order/0","title":"Tai.TestSupport.Mocks.Responses.Orders.Error.order/0","module":"Tai.TestSupport.Mocks.Responses.Orders.Error","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.Error.html#t:reason/0","title":"Tai.TestSupport.Mocks.Responses.Orders.Error.reason/0","module":"Tai.TestSupport.Mocks.Responses.Orders.Error","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.Error.html#t:sell_limit/0","title":"Tai.TestSupport.Mocks.Responses.Orders.Error.sell_limit/0","module":"Tai.TestSupport.Mocks.Responses.Orders.Error","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.Error.html#t:submission/0","title":"Tai.TestSupport.Mocks.Responses.Orders.Error.submission/0","module":"Tai.TestSupport.Mocks.Responses.Orders.Error","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.Error.html#t:venue_order_id/0","title":"Tai.TestSupport.Mocks.Responses.Orders.Error.venue_order_id/0","module":"Tai.TestSupport.Mocks.Responses.Orders.Error","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.html","title":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill","module":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill","type":"module","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.html#expired/1","title":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.expired/1","module":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.html#expired/2","title":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.expired/2","module":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.html#filled/1","title":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.filled/1","module":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.html#filled/2","title":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.filled/2","module":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.html#t:buy_limit/0","title":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.buy_limit/0","module":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.html#t:insert_result/0","title":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.insert_result/0","module":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.html#t:sell_limit/0","title":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.sell_limit/0","module":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.html#t:submission/0","title":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.submission/0","module":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.html#t:venue_order_id/0","title":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill.venue_order_id/0","module":"Tai.TestSupport.Mocks.Responses.Orders.FillOrKill","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.html","title":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel","module":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel","type":"module","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.html#amend_price/2","title":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.amend_price/2","module":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.html#amend_price_and_qty/3","title":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.amend_price_and_qty/3","module":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.html#canceled/1","title":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.canceled/1","module":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.html#open/3","title":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.open/3","module":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.html#t:buy_limit/0","title":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.buy_limit/0","module":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.html#t:order/0","title":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.order/0","module":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.html#t:sell_limit/0","title":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.sell_limit/0","module":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.html#t:submission/0","title":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.submission/0","module":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.html#t:venue_order_id/0","title":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel.venue_order_id/0","module":"Tai.TestSupport.Mocks.Responses.Orders.GoodTillCancel","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.html","title":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","module":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","type":"module","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.html#expired/1","title":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.expired/1","module":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.html#expired/2","title":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.expired/2","module":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.html#expired/3","title":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.expired/3","module":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.html#filled/1","title":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.filled/1","module":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.html#filled/2","title":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.filled/2","module":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.html#t:buy_limit/0","title":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.buy_limit/0","module":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.html#t:insert_result/0","title":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.insert_result/0","module":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.html#t:sell_limit/0","title":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.sell_limit/0","module":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.html#t:submission/0","title":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.submission/0","module":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.html#t:venue_order_id/0","title":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel.venue_order_id/0","module":"Tai.TestSupport.Mocks.Responses.Orders.ImmediateOrCancel","type":"type","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Products.html","title":"Tai.TestSupport.Mocks.Responses.Products","module":"Tai.TestSupport.Mocks.Responses.Products","type":"module","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Products.html#for_exchange/2","title":"Tai.TestSupport.Mocks.Responses.Products.for_exchange/2","module":"Tai.TestSupport.Mocks.Responses.Products","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Responses.Products.html#for_venue/2","title":"Tai.TestSupport.Mocks.Responses.Products.for_venue/2","module":"Tai.TestSupport.Mocks.Responses.Products","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Server.html","title":"Tai.TestSupport.Mocks.Server","module":"Tai.TestSupport.Mocks.Server","type":"module","doc":""},{"ref":"Tai.TestSupport.Mocks.Server.html#child_spec/1","title":"Tai.TestSupport.Mocks.Server.child_spec/1","module":"Tai.TestSupport.Mocks.Server","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.TestSupport.Mocks.Server.html#eject/1","title":"Tai.TestSupport.Mocks.Server.eject/1","module":"Tai.TestSupport.Mocks.Server","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Server.html#init/1","title":"Tai.TestSupport.Mocks.Server.init/1","module":"Tai.TestSupport.Mocks.Server","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.TestSupport.Mocks.Server.html#insert/2","title":"Tai.TestSupport.Mocks.Server.insert/2","module":"Tai.TestSupport.Mocks.Server","type":"function","doc":""},{"ref":"Tai.TestSupport.Mocks.Server.html#start_link/1","title":"Tai.TestSupport.Mocks.Server.start_link/1","module":"Tai.TestSupport.Mocks.Server","type":"function","doc":""},{"ref":"Tai.Trading.BuildOrderFromSubmission.html","title":"Tai.Trading.BuildOrderFromSubmission","module":"Tai.Trading.BuildOrderFromSubmission","type":"module","doc":""},{"ref":"Tai.Trading.BuildOrderFromSubmission.html#build!/1","title":"Tai.Trading.BuildOrderFromSubmission.build!/1","module":"Tai.Trading.BuildOrderFromSubmission","type":"function","doc":""},{"ref":"Tai.Trading.BuildOrderFromSubmission.html#t:order/0","title":"Tai.Trading.BuildOrderFromSubmission.order/0","module":"Tai.Trading.BuildOrderFromSubmission","type":"type","doc":""},{"ref":"Tai.Trading.BuildOrderFromSubmission.html#t:submission/0","title":"Tai.Trading.BuildOrderFromSubmission.submission/0","module":"Tai.Trading.BuildOrderFromSubmission","type":"type","doc":""},{"ref":"Tai.Trading.FillOrKillError.html","title":"Tai.Trading.FillOrKillError","module":"Tai.Trading.FillOrKillError","type":"module","doc":"Returned when there is a problem creating fill or kill orders"},{"ref":"Tai.Trading.Order.html","title":"Tai.Trading.Order","module":"Tai.Trading.Order","type":"module","doc":""},{"ref":"Tai.Trading.Order.html#t:client_id/0","title":"Tai.Trading.Order.client_id/0","module":"Tai.Trading.Order","type":"type","doc":""},{"ref":"Tai.Trading.Order.html#t:side/0","title":"Tai.Trading.Order.side/0","module":"Tai.Trading.Order","type":"type","doc":""},{"ref":"Tai.Trading.Order.html#t:status/0","title":"Tai.Trading.Order.status/0","module":"Tai.Trading.Order","type":"type","doc":""},{"ref":"Tai.Trading.Order.html#t:t/0","title":"Tai.Trading.Order.t/0","module":"Tai.Trading.Order","type":"type","doc":""},{"ref":"Tai.Trading.Order.html#t:time_in_force/0","title":"Tai.Trading.Order.time_in_force/0","module":"Tai.Trading.Order","type":"type","doc":""},{"ref":"Tai.Trading.Order.html#t:type/0","title":"Tai.Trading.Order.type/0","module":"Tai.Trading.Order","type":"type","doc":""},{"ref":"Tai.Trading.Order.html#t:venue_order_id/0","title":"Tai.Trading.Order.venue_order_id/0","module":"Tai.Trading.Order","type":"type","doc":""},{"ref":"Tai.Trading.OrderResponse.html","title":"Tai.Trading.OrderResponse","module":"Tai.Trading.OrderResponse","type":"module","doc":"Return from venue adapters when creating or canceling an order"},{"ref":"Tai.Trading.OrderResponse.html#t:t/0","title":"Tai.Trading.OrderResponse.t/0","module":"Tai.Trading.OrderResponse","type":"type","doc":""},{"ref":"Tai.Trading.OrderResponses.Amend.html","title":"Tai.Trading.OrderResponses.Amend","module":"Tai.Trading.OrderResponses.Amend","type":"module","doc":"Return from venue adapters when amending an order"},{"ref":"Tai.Trading.OrderResponses.Amend.html#t:t/0","title":"Tai.Trading.OrderResponses.Amend.t/0","module":"Tai.Trading.OrderResponses.Amend","type":"type","doc":""},{"ref":"Tai.Trading.OrderResponses.Cancel.html","title":"Tai.Trading.OrderResponses.Cancel","module":"Tai.Trading.OrderResponses.Cancel","type":"module","doc":"Return from venue adapters when canceling an order"},{"ref":"Tai.Trading.OrderResponses.Cancel.html#t:t/0","title":"Tai.Trading.OrderResponses.Cancel.t/0","module":"Tai.Trading.OrderResponses.Cancel","type":"type","doc":""},{"ref":"Tai.Trading.OrderResponses.Create.html","title":"Tai.Trading.OrderResponses.Create","module":"Tai.Trading.OrderResponses.Create","type":"module","doc":"Return from venue adapters when creating an order"},{"ref":"Tai.Trading.OrderResponses.Create.html#t:t/0","title":"Tai.Trading.OrderResponses.Create.t/0","module":"Tai.Trading.OrderResponses.Create","type":"type","doc":""},{"ref":"Tai.Trading.OrderStore.html","title":"Tai.Trading.OrderStore","module":"Tai.Trading.OrderStore","type":"module","doc":"ETS backed store for the local state of orders"},{"ref":"Tai.Trading.OrderStore.html#add/1","title":"Tai.Trading.OrderStore.add/1","module":"Tai.Trading.OrderStore","type":"function","doc":"Build an enqueued order from the submission and insert it into the ETS table"},{"ref":"Tai.Trading.OrderStore.html#all/0","title":"Tai.Trading.OrderStore.all/0","module":"Tai.Trading.OrderStore","type":"function","doc":"Return a list of all orders currently stored in the ETS table"},{"ref":"Tai.Trading.OrderStore.html#amend/5","title":"Tai.Trading.OrderStore.amend/5","module":"Tai.Trading.OrderStore","type":"function","doc":"Change the order status to open after an amend attempt"},{"ref":"Tai.Trading.OrderStore.html#amend_error/3","title":"Tai.Trading.OrderStore.amend_error/3","module":"Tai.Trading.OrderStore","type":"function","doc":"Change the order status to amend_error after an amend attempt"},{"ref":"Tai.Trading.OrderStore.html#cancel/2","title":"Tai.Trading.OrderStore.cancel/2","module":"Tai.Trading.OrderStore","type":"function","doc":"Change the order status to canceled after a cancel attempt"},{"ref":"Tai.Trading.OrderStore.html#cancel_error/3","title":"Tai.Trading.OrderStore.cancel_error/3","module":"Tai.Trading.OrderStore","type":"function","doc":"Change the order status to cancel_error after a cancel attempt"},{"ref":"Tai.Trading.OrderStore.html#child_spec/1","title":"Tai.Trading.OrderStore.child_spec/1","module":"Tai.Trading.OrderStore","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.Trading.OrderStore.html#count/0","title":"Tai.Trading.OrderStore.count/0","module":"Tai.Trading.OrderStore","type":"function","doc":"Return the count of all orders currently stored in the ETS table"},{"ref":"Tai.Trading.OrderStore.html#create_error/3","title":"Tai.Trading.OrderStore.create_error/3","module":"Tai.Trading.OrderStore","type":"function","doc":"Change the order status to create_error when it failed on the venue"},{"ref":"Tai.Trading.OrderStore.html#expire/7","title":"Tai.Trading.OrderStore.expire/7","module":"Tai.Trading.OrderStore","type":"function","doc":"Change the order status to expired"},{"ref":"Tai.Trading.OrderStore.html#fill/6","title":"Tai.Trading.OrderStore.fill/6","module":"Tai.Trading.OrderStore","type":"function","doc":"Update the cumulative_qty &amp; price for a fully filled order"},{"ref":"Tai.Trading.OrderStore.html#find_by_client_id/1","title":"Tai.Trading.OrderStore.find_by_client_id/1","module":"Tai.Trading.OrderStore","type":"function","doc":"Return the order in the ETS table that matches the given client_id"},{"ref":"Tai.Trading.OrderStore.html#init/1","title":"Tai.Trading.OrderStore.init/1","module":"Tai.Trading.OrderStore","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.Trading.OrderStore.html#open/7","title":"Tai.Trading.OrderStore.open/7","module":"Tai.Trading.OrderStore","type":"function","doc":"Change the order status to open after it was enqueued"},{"ref":"Tai.Trading.OrderStore.html#passive_cancel/3","title":"Tai.Trading.OrderStore.passive_cancel/3","module":"Tai.Trading.OrderStore","type":"function","doc":"Change the order status to canceled from an external passive source"},{"ref":"Tai.Trading.OrderStore.html#passive_fill/4","title":"Tai.Trading.OrderStore.passive_fill/4","module":"Tai.Trading.OrderStore","type":"function","doc":"Update the cumulative_qty &amp; price for a fully filled passive order"},{"ref":"Tai.Trading.OrderStore.html#passive_partial_fill/6","title":"Tai.Trading.OrderStore.passive_partial_fill/6","module":"Tai.Trading.OrderStore","type":"function","doc":"Update the cumulative_qty &amp; price for a partially filled passive order"},{"ref":"Tai.Trading.OrderStore.html#pend_amend/2","title":"Tai.Trading.OrderStore.pend_amend/2","module":"Tai.Trading.OrderStore","type":"function","doc":"Change the order status to pending_amend"},{"ref":"Tai.Trading.OrderStore.html#pend_cancel/2","title":"Tai.Trading.OrderStore.pend_cancel/2","module":"Tai.Trading.OrderStore","type":"function","doc":"Change the order status to pending_cancel"},{"ref":"Tai.Trading.OrderStore.html#skip/1","title":"Tai.Trading.OrderStore.skip/1","module":"Tai.Trading.OrderStore","type":"function","doc":"Change the ordertatus to skip when orders aren&#39;t sent to the venue"},{"ref":"Tai.Trading.OrderStore.html#start_link/1","title":"Tai.Trading.OrderStore.start_link/1","module":"Tai.Trading.OrderStore","type":"function","doc":""},{"ref":"Tai.Trading.OrderStore.html#t:client_id/0","title":"Tai.Trading.OrderStore.client_id/0","module":"Tai.Trading.OrderStore","type":"type","doc":""},{"ref":"Tai.Trading.OrderStore.html#t:order/0","title":"Tai.Trading.OrderStore.order/0","module":"Tai.Trading.OrderStore","type":"type","doc":""},{"ref":"Tai.Trading.OrderStore.html#t:passive_cancel_required/0","title":"Tai.Trading.OrderStore.passive_cancel_required/0","module":"Tai.Trading.OrderStore","type":"type","doc":""},{"ref":"Tai.Trading.OrderStore.html#t:passive_fills_required/0","title":"Tai.Trading.OrderStore.passive_fills_required/0","module":"Tai.Trading.OrderStore","type":"type","doc":""},{"ref":"Tai.Trading.OrderStore.html#t:submission/0","title":"Tai.Trading.OrderStore.submission/0","module":"Tai.Trading.OrderStore","type":"type","doc":""},{"ref":"Tai.Trading.OrderStore.html#t:venue_order_id/0","title":"Tai.Trading.OrderStore.venue_order_id/0","module":"Tai.Trading.OrderStore","type":"type","doc":""},{"ref":"Tai.Trading.OrderSubmissions.BuyLimitFok.html","title":"Tai.Trading.OrderSubmissions.BuyLimitFok","module":"Tai.Trading.OrderSubmissions.BuyLimitFok","type":"module","doc":""},{"ref":"Tai.Trading.OrderSubmissions.BuyLimitFok.html#t:t/0","title":"Tai.Trading.OrderSubmissions.BuyLimitFok.t/0","module":"Tai.Trading.OrderSubmissions.BuyLimitFok","type":"type","doc":""},{"ref":"Tai.Trading.OrderSubmissions.BuyLimitGtc.html","title":"Tai.Trading.OrderSubmissions.BuyLimitGtc","module":"Tai.Trading.OrderSubmissions.BuyLimitGtc","type":"module","doc":""},{"ref":"Tai.Trading.OrderSubmissions.BuyLimitGtc.html#t:t/0","title":"Tai.Trading.OrderSubmissions.BuyLimitGtc.t/0","module":"Tai.Trading.OrderSubmissions.BuyLimitGtc","type":"type","doc":""},{"ref":"Tai.Trading.OrderSubmissions.BuyLimitIoc.html","title":"Tai.Trading.OrderSubmissions.BuyLimitIoc","module":"Tai.Trading.OrderSubmissions.BuyLimitIoc","type":"module","doc":""},{"ref":"Tai.Trading.OrderSubmissions.BuyLimitIoc.html#t:t/0","title":"Tai.Trading.OrderSubmissions.BuyLimitIoc.t/0","module":"Tai.Trading.OrderSubmissions.BuyLimitIoc","type":"type","doc":""},{"ref":"Tai.Trading.OrderSubmissions.SellLimitFok.html","title":"Tai.Trading.OrderSubmissions.SellLimitFok","module":"Tai.Trading.OrderSubmissions.SellLimitFok","type":"module","doc":""},{"ref":"Tai.Trading.OrderSubmissions.SellLimitFok.html#t:t/0","title":"Tai.Trading.OrderSubmissions.SellLimitFok.t/0","module":"Tai.Trading.OrderSubmissions.SellLimitFok","type":"type","doc":""},{"ref":"Tai.Trading.OrderSubmissions.SellLimitGtc.html","title":"Tai.Trading.OrderSubmissions.SellLimitGtc","module":"Tai.Trading.OrderSubmissions.SellLimitGtc","type":"module","doc":""},{"ref":"Tai.Trading.OrderSubmissions.SellLimitGtc.html#t:t/0","title":"Tai.Trading.OrderSubmissions.SellLimitGtc.t/0","module":"Tai.Trading.OrderSubmissions.SellLimitGtc","type":"type","doc":""},{"ref":"Tai.Trading.OrderSubmissions.SellLimitIoc.html","title":"Tai.Trading.OrderSubmissions.SellLimitIoc","module":"Tai.Trading.OrderSubmissions.SellLimitIoc","type":"module","doc":""},{"ref":"Tai.Trading.OrderSubmissions.SellLimitIoc.html#t:t/0","title":"Tai.Trading.OrderSubmissions.SellLimitIoc.t/0","module":"Tai.Trading.OrderSubmissions.SellLimitIoc","type":"type","doc":""},{"ref":"Tai.Trading.Orders.html","title":"Tai.Trading.Orders","module":"Tai.Trading.Orders","type":"module","doc":""},{"ref":"Tai.Trading.Orders.html#amend/2","title":"Tai.Trading.Orders.amend/2","module":"Tai.Trading.Orders","type":"function","doc":"See Tai.Trading.Orders.Amend.amend/2."},{"ref":"Tai.Trading.Orders.html#broadcast/1","title":"Tai.Trading.Orders.broadcast/1","module":"Tai.Trading.Orders","type":"function","doc":""},{"ref":"Tai.Trading.Orders.html#cancel/1","title":"Tai.Trading.Orders.cancel/1","module":"Tai.Trading.Orders","type":"function","doc":"See Tai.Trading.Orders.Cancel.cancel/1."},{"ref":"Tai.Trading.Orders.html#create/1","title":"Tai.Trading.Orders.create/1","module":"Tai.Trading.Orders","type":"function","doc":"See Tai.Trading.Orders.Create.create/1."},{"ref":"Tai.Trading.Orders.html#updated!/2","title":"Tai.Trading.Orders.updated!/2","module":"Tai.Trading.Orders","type":"function","doc":""},{"ref":"Tai.Trading.Orders.html#t:amend_attrs/0","title":"Tai.Trading.Orders.amend_attrs/0","module":"Tai.Trading.Orders","type":"type","doc":""},{"ref":"Tai.Trading.Orders.html#t:amend_error_reason/0","title":"Tai.Trading.Orders.amend_error_reason/0","module":"Tai.Trading.Orders","type":"type","doc":""},{"ref":"Tai.Trading.Orders.html#t:cancel_error_reason/0","title":"Tai.Trading.Orders.cancel_error_reason/0","module":"Tai.Trading.Orders","type":"type","doc":""},{"ref":"Tai.Trading.Orders.html#t:order/0","title":"Tai.Trading.Orders.order/0","module":"Tai.Trading.Orders","type":"type","doc":""},{"ref":"Tai.Trading.Orders.html#t:status/0","title":"Tai.Trading.Orders.status/0","module":"Tai.Trading.Orders","type":"type","doc":""},{"ref":"Tai.Trading.Orders.html#t:status_required/0","title":"Tai.Trading.Orders.status_required/0","module":"Tai.Trading.Orders","type":"type","doc":""},{"ref":"Tai.Trading.Orders.html#t:status_was/0","title":"Tai.Trading.Orders.status_was/0","module":"Tai.Trading.Orders","type":"type","doc":""},{"ref":"Tai.Trading.Orders.html#t:submission/0","title":"Tai.Trading.Orders.submission/0","module":"Tai.Trading.Orders","type":"type","doc":""},{"ref":"Tai.Trading.Orders.Amend.html","title":"Tai.Trading.Orders.Amend","module":"Tai.Trading.Orders.Amend","type":"module","doc":""},{"ref":"Tai.Trading.Orders.Amend.html#amend/2","title":"Tai.Trading.Orders.Amend.amend/2","module":"Tai.Trading.Orders.Amend","type":"function","doc":""},{"ref":"Tai.Trading.Orders.Amend.html#send_amend_order/2","title":"Tai.Trading.Orders.Amend.send_amend_order/2","module":"Tai.Trading.Orders.Amend","type":"function","doc":"See Tai.Venue.amend_order/2."},{"ref":"Tai.Trading.Orders.Amend.html#t:attrs/0","title":"Tai.Trading.Orders.Amend.attrs/0","module":"Tai.Trading.Orders.Amend","type":"type","doc":""},{"ref":"Tai.Trading.Orders.Amend.html#t:order/0","title":"Tai.Trading.Orders.Amend.order/0","module":"Tai.Trading.Orders.Amend","type":"type","doc":""},{"ref":"Tai.Trading.Orders.Amend.html#t:status/0","title":"Tai.Trading.Orders.Amend.status/0","module":"Tai.Trading.Orders.Amend","type":"type","doc":""},{"ref":"Tai.Trading.Orders.Amend.html#t:status_required/0","title":"Tai.Trading.Orders.Amend.status_required/0","module":"Tai.Trading.Orders.Amend","type":"type","doc":""},{"ref":"Tai.Trading.Orders.Amend.html#t:status_was/0","title":"Tai.Trading.Orders.Amend.status_was/0","module":"Tai.Trading.Orders.Amend","type":"type","doc":""},{"ref":"Tai.Trading.Orders.Cancel.html","title":"Tai.Trading.Orders.Cancel","module":"Tai.Trading.Orders.Cancel","type":"module","doc":""},{"ref":"Tai.Trading.Orders.Cancel.html#cancel/1","title":"Tai.Trading.Orders.Cancel.cancel/1","module":"Tai.Trading.Orders.Cancel","type":"function","doc":""},{"ref":"Tai.Trading.Orders.Cancel.html#send_cancel_order/1","title":"Tai.Trading.Orders.Cancel.send_cancel_order/1","module":"Tai.Trading.Orders.Cancel","type":"function","doc":"See Tai.Venue.cancel_order/1."},{"ref":"Tai.Trading.Orders.Cancel.html#t:order/0","title":"Tai.Trading.Orders.Cancel.order/0","module":"Tai.Trading.Orders.Cancel","type":"type","doc":""},{"ref":"Tai.Trading.Orders.Create.html","title":"Tai.Trading.Orders.Create","module":"Tai.Trading.Orders.Create","type":"module","doc":""},{"ref":"Tai.Trading.Orders.Create.html#create/1","title":"Tai.Trading.Orders.Create.create/1","module":"Tai.Trading.Orders.Create","type":"function","doc":""},{"ref":"Tai.Trading.Orders.Create.html#send/1","title":"Tai.Trading.Orders.Create.send/1","module":"Tai.Trading.Orders.Create","type":"function","doc":"See Tai.Venue.create_order/1."},{"ref":"Tai.Trading.Orders.Create.html#skip!/1","title":"Tai.Trading.Orders.Create.skip!/1","module":"Tai.Trading.Orders.Create","type":"function","doc":"See Tai.Trading.OrderStore.skip/1."},{"ref":"Tai.Trading.Orders.Create.html#t:order/0","title":"Tai.Trading.Orders.Create.order/0","module":"Tai.Trading.Orders.Create","type":"type","doc":""},{"ref":"Tai.Trading.Orders.Create.html#t:submission/0","title":"Tai.Trading.Orders.Create.submission/0","module":"Tai.Trading.Orders.Create","type":"type","doc":""},{"ref":"Tai.Trading.Position.html","title":"Tai.Trading.Position","module":"Tai.Trading.Position","type":"module","doc":""},{"ref":"Tai.Trading.Position.html#t:product_symbol/0","title":"Tai.Trading.Position.product_symbol/0","module":"Tai.Trading.Position","type":"type","doc":""},{"ref":"Tai.Trading.Position.html#t:t/0","title":"Tai.Trading.Position.t/0","module":"Tai.Trading.Position","type":"type","doc":""},{"ref":"Tai.Trading.PositionStore.html","title":"Tai.Trading.PositionStore","module":"Tai.Trading.PositionStore","type":"module","doc":"ETS backed store for the local state of margin positions"},{"ref":"Tai.Trading.PositionStore.html#add/1","title":"Tai.Trading.PositionStore.add/1","module":"Tai.Trading.PositionStore","type":"function","doc":""},{"ref":"Tai.Trading.PositionStore.html#all/0","title":"Tai.Trading.PositionStore.all/0","module":"Tai.Trading.PositionStore","type":"function","doc":""},{"ref":"Tai.Trading.PositionStore.html#child_spec/1","title":"Tai.Trading.PositionStore.child_spec/1","module":"Tai.Trading.PositionStore","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.Trading.PositionStore.html#init/1","title":"Tai.Trading.PositionStore.init/1","module":"Tai.Trading.PositionStore","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.Trading.PositionStore.html#start_link/1","title":"Tai.Trading.PositionStore.start_link/1","module":"Tai.Trading.PositionStore","type":"function","doc":""},{"ref":"Tai.Trading.PositionStore.html#t:position/0","title":"Tai.Trading.PositionStore.position/0","module":"Tai.Trading.PositionStore","type":"type","doc":""},{"ref":"Tai.Transforms.ProductSymbolsByVenue.html","title":"Tai.Transforms.ProductSymbolsByVenue","module":"Tai.Transforms.ProductSymbolsByVenue","type":"module","doc":"Transforms a list of products to a map of product symbols by venue"},{"ref":"Tai.Transforms.ProductSymbolsByVenue.html#all/1","title":"Tai.Transforms.ProductSymbolsByVenue.all/1","module":"Tai.Transforms.ProductSymbolsByVenue","type":"function","doc":""},{"ref":"Tai.Transforms.ProductSymbolsByVenue.html#t:product/0","title":"Tai.Transforms.ProductSymbolsByVenue.product/0","module":"Tai.Transforms.ProductSymbolsByVenue","type":"type","doc":""},{"ref":"Tai.Utils.Decimal.html","title":"Tai.Utils.Decimal","module":"Tai.Utils.Decimal","type":"module","doc":""},{"ref":"Tai.Utils.Decimal.html#from/1","title":"Tai.Utils.Decimal.from/1","module":"Tai.Utils.Decimal","type":"function","doc":""},{"ref":"Tai.Utils.Decimal.html#round_down/2","title":"Tai.Utils.Decimal.round_down/2","module":"Tai.Utils.Decimal","type":"function","doc":""},{"ref":"Tai.Utils.Decimal.html#round_up/2","title":"Tai.Utils.Decimal.round_up/2","module":"Tai.Utils.Decimal","type":"function","doc":""},{"ref":"Tai.Venue.html","title":"Tai.Venue","module":"Tai.Venue","type":"module","doc":""},{"ref":"Tai.Venue.html#amend_order/3","title":"Tai.Venue.amend_order/3","module":"Tai.Venue","type":"function","doc":""},{"ref":"Tai.Venue.html#asset_balances/2","title":"Tai.Venue.asset_balances/2","module":"Tai.Venue","type":"function","doc":""},{"ref":"Tai.Venue.html#cancel_order/2","title":"Tai.Venue.cancel_order/2","module":"Tai.Venue","type":"function","doc":""},{"ref":"Tai.Venue.html#create_order/2","title":"Tai.Venue.create_order/2","module":"Tai.Venue","type":"function","doc":""},{"ref":"Tai.Venue.html#maker_taker_fees/2","title":"Tai.Venue.maker_taker_fees/2","module":"Tai.Venue","type":"function","doc":""},{"ref":"Tai.Venue.html#positions/2","title":"Tai.Venue.positions/2","module":"Tai.Venue","type":"function","doc":""},{"ref":"Tai.Venue.html#products/1","title":"Tai.Venue.products/1","module":"Tai.Venue","type":"function","doc":""},{"ref":"Tai.Venue.html#t:adapter/0","title":"Tai.Venue.adapter/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:amend_attrs/0","title":"Tai.Venue.amend_attrs/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:amend_order_error_reason/0","title":"Tai.Venue.amend_order_error_reason/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:amend_response/0","title":"Tai.Venue.amend_response/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:asset_balance/0","title":"Tai.Venue.asset_balance/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:cancel_order_error_reason/0","title":"Tai.Venue.cancel_order_error_reason/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:cancel_response/0","title":"Tai.Venue.cancel_response/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:config/0","title":"Tai.Venue.config/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:create_order_error_reason/0","title":"Tai.Venue.create_order_error_reason/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:create_response/0","title":"Tai.Venue.create_response/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:order/0","title":"Tai.Venue.order/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:position/0","title":"Tai.Venue.position/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:product/0","title":"Tai.Venue.product/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.Venue.html#t:shared_error_reason/0","title":"Tai.Venue.shared_error_reason/0","module":"Tai.Venue","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Binance.html","title":"Tai.VenueAdapters.Binance","module":"Tai.VenueAdapters.Binance","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.html#amend_order/3","title":"Tai.VenueAdapters.Binance.amend_order/3","module":"Tai.VenueAdapters.Binance","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.amend_order/3."},{"ref":"Tai.VenueAdapters.Binance.html#asset_balances/3","title":"Tai.VenueAdapters.Binance.asset_balances/3","module":"Tai.VenueAdapters.Binance","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.asset_balances/3."},{"ref":"Tai.VenueAdapters.Binance.html#cancel_order/2","title":"Tai.VenueAdapters.Binance.cancel_order/2","module":"Tai.VenueAdapters.Binance","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.cancel_order/2."},{"ref":"Tai.VenueAdapters.Binance.html#create_order/2","title":"Tai.VenueAdapters.Binance.create_order/2","module":"Tai.VenueAdapters.Binance","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.create_order/2."},{"ref":"Tai.VenueAdapters.Binance.html#maker_taker_fees/3","title":"Tai.VenueAdapters.Binance.maker_taker_fees/3","module":"Tai.VenueAdapters.Binance","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.maker_taker_fees/3."},{"ref":"Tai.VenueAdapters.Binance.html#order_book_feed/0","title":"Tai.VenueAdapters.Binance.order_book_feed/0","module":"Tai.VenueAdapters.Binance","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.order_book_feed/0."},{"ref":"Tai.VenueAdapters.Binance.html#positions/3","title":"Tai.VenueAdapters.Binance.positions/3","module":"Tai.VenueAdapters.Binance","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.positions/3."},{"ref":"Tai.VenueAdapters.Binance.html#products/1","title":"Tai.VenueAdapters.Binance.products/1","module":"Tai.VenueAdapters.Binance","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.products/1."},{"ref":"Tai.VenueAdapters.Binance.html#stream_supervisor/0","title":"Tai.VenueAdapters.Binance.stream_supervisor/0","module":"Tai.VenueAdapters.Binance","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.stream_supervisor/0."},{"ref":"Tai.VenueAdapters.Binance.AssetBalances.html","title":"Tai.VenueAdapters.Binance.AssetBalances","module":"Tai.VenueAdapters.Binance.AssetBalances","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.AssetBalances.html#asset_balances/3","title":"Tai.VenueAdapters.Binance.AssetBalances.asset_balances/3","module":"Tai.VenueAdapters.Binance.AssetBalances","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.CreateOrder.html","title":"Tai.VenueAdapters.Binance.CreateOrder","module":"Tai.VenueAdapters.Binance.CreateOrder","type":"module","doc":"Create orders for the Binance adapter"},{"ref":"Tai.VenueAdapters.Binance.CreateOrder.html#create_order/2","title":"Tai.VenueAdapters.Binance.CreateOrder.create_order/2","module":"Tai.VenueAdapters.Binance.CreateOrder","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.CreateOrder.html#to_venue_symbol/1","title":"Tai.VenueAdapters.Binance.CreateOrder.to_venue_symbol/1","module":"Tai.VenueAdapters.Binance.CreateOrder","type":"function","doc":"See Tai.VenueAdapters.Binance.SymbolMapping.to_binance/1."},{"ref":"Tai.VenueAdapters.Binance.MakerTakerFees.html","title":"Tai.VenueAdapters.Binance.MakerTakerFees","module":"Tai.VenueAdapters.Binance.MakerTakerFees","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.MakerTakerFees.html#maker_taker_fees/3","title":"Tai.VenueAdapters.Binance.MakerTakerFees.maker_taker_fees/3","module":"Tai.VenueAdapters.Binance.MakerTakerFees","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.ProductStatus.html","title":"Tai.VenueAdapters.Binance.ProductStatus","module":"Tai.VenueAdapters.Binance.ProductStatus","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.ProductStatus.html#normalize/1","title":"Tai.VenueAdapters.Binance.ProductStatus.normalize/1","module":"Tai.VenueAdapters.Binance.ProductStatus","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.ProductStatus.html#t:status/0","title":"Tai.VenueAdapters.Binance.ProductStatus.status/0","module":"Tai.VenueAdapters.Binance.ProductStatus","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Binance.Products.html","title":"Tai.VenueAdapters.Binance.Products","module":"Tai.VenueAdapters.Binance.Products","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.Products.html#products/1","title":"Tai.VenueAdapters.Binance.Products.products/1","module":"Tai.VenueAdapters.Binance.Products","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.Connection.html","title":"Tai.VenueAdapters.Binance.Stream.Connection","module":"Tai.VenueAdapters.Binance.Stream.Connection","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.Connection.html#start_link/1","title":"Tai.VenueAdapters.Binance.Stream.Connection.start_link/1","module":"Tai.VenueAdapters.Binance.Stream.Connection","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.Connection.html#t:product/0","title":"Tai.VenueAdapters.Binance.Stream.Connection.product/0","module":"Tai.VenueAdapters.Binance.Stream.Connection","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.Connection.html#t:t/0","title":"Tai.VenueAdapters.Binance.Stream.Connection.t/0","module":"Tai.VenueAdapters.Binance.Stream.Connection","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.DepthUpdate.html","title":"Tai.VenueAdapters.Binance.Stream.DepthUpdate","module":"Tai.VenueAdapters.Binance.Stream.DepthUpdate","type":"module","doc":"Normalize the data received from a depthUpdate event"},{"ref":"Tai.VenueAdapters.Binance.Stream.DepthUpdate.html#normalize/3","title":"Tai.VenueAdapters.Binance.Stream.DepthUpdate.normalize/3","module":"Tai.VenueAdapters.Binance.Stream.DepthUpdate","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessMessages.html","title":"Tai.VenueAdapters.Binance.Stream.ProcessMessages","module":"Tai.VenueAdapters.Binance.Stream.ProcessMessages","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessMessages.html#child_spec/1","title":"Tai.VenueAdapters.Binance.Stream.ProcessMessages.child_spec/1","module":"Tai.VenueAdapters.Binance.Stream.ProcessMessages","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessMessages.html#init/1","title":"Tai.VenueAdapters.Binance.Stream.ProcessMessages.init/1","module":"Tai.VenueAdapters.Binance.Stream.ProcessMessages","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessMessages.html#start_link/1","title":"Tai.VenueAdapters.Binance.Stream.ProcessMessages.start_link/1","module":"Tai.VenueAdapters.Binance.Stream.ProcessMessages","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessMessages.html#to_name/1","title":"Tai.VenueAdapters.Binance.Stream.ProcessMessages.to_name/1","module":"Tai.VenueAdapters.Binance.Stream.ProcessMessages","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessMessages.html#t:t/0","title":"Tai.VenueAdapters.Binance.Stream.ProcessMessages.t/0","module":"Tai.VenueAdapters.Binance.Stream.ProcessMessages","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.html","title":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks","module":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.html#child_spec/1","title":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.child_spec/1","module":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.html#init/1","title":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.init/1","module":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.html#start_link/1","title":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.start_link/1","module":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.html#to_name/1","title":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.to_name/1","module":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.State.html","title":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.State","module":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.State","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.State.html#t:t/0","title":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.State.t/0","module":"Tai.VenueAdapters.Binance.Stream.ProcessOrderBooks.State","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.Snapshot.html","title":"Tai.VenueAdapters.Binance.Stream.Snapshot","module":"Tai.VenueAdapters.Binance.Stream.Snapshot","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.Snapshot.html#fetch/2","title":"Tai.VenueAdapters.Binance.Stream.Snapshot.fetch/2","module":"Tai.VenueAdapters.Binance.Stream.Snapshot","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.Snapshot.html#t:order_book/0","title":"Tai.VenueAdapters.Binance.Stream.Snapshot.order_book/0","module":"Tai.VenueAdapters.Binance.Stream.Snapshot","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Binance.Stream.Snapshot.html#t:product/0","title":"Tai.VenueAdapters.Binance.Stream.Snapshot.product/0","module":"Tai.VenueAdapters.Binance.Stream.Snapshot","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Binance.StreamSupervisor.html","title":"Tai.VenueAdapters.Binance.StreamSupervisor","module":"Tai.VenueAdapters.Binance.StreamSupervisor","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.StreamSupervisor.html#child_spec/1","title":"Tai.VenueAdapters.Binance.StreamSupervisor.child_spec/1","module":"Tai.VenueAdapters.Binance.StreamSupervisor","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.VenueAdapters.Binance.StreamSupervisor.html#init/1","title":"Tai.VenueAdapters.Binance.StreamSupervisor.init/1","module":"Tai.VenueAdapters.Binance.StreamSupervisor","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke Supervisor.init/2 at the end of their init callback to return the proper supervision flags. Callback implementation for Supervisor.init/1."},{"ref":"Tai.VenueAdapters.Binance.StreamSupervisor.html#start_link/1","title":"Tai.VenueAdapters.Binance.StreamSupervisor.start_link/1","module":"Tai.VenueAdapters.Binance.StreamSupervisor","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.StreamSupervisor.html#t:product/0","title":"Tai.VenueAdapters.Binance.StreamSupervisor.product/0","module":"Tai.VenueAdapters.Binance.StreamSupervisor","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Binance.SymbolMapping.html","title":"Tai.VenueAdapters.Binance.SymbolMapping","module":"Tai.VenueAdapters.Binance.SymbolMapping","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Binance.SymbolMapping.html#to_binance/1","title":"Tai.VenueAdapters.Binance.SymbolMapping.to_binance/1","module":"Tai.VenueAdapters.Binance.SymbolMapping","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Binance.SymbolMapping.html#to_tai/1","title":"Tai.VenueAdapters.Binance.SymbolMapping.to_tai/1","module":"Tai.VenueAdapters.Binance.SymbolMapping","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.html","title":"Tai.VenueAdapters.Bitmex","module":"Tai.VenueAdapters.Bitmex","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.html#amend_order/3","title":"Tai.VenueAdapters.Bitmex.amend_order/3","module":"Tai.VenueAdapters.Bitmex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.amend_order/3."},{"ref":"Tai.VenueAdapters.Bitmex.html#asset_balances/3","title":"Tai.VenueAdapters.Bitmex.asset_balances/3","module":"Tai.VenueAdapters.Bitmex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.asset_balances/3."},{"ref":"Tai.VenueAdapters.Bitmex.html#cancel_order/2","title":"Tai.VenueAdapters.Bitmex.cancel_order/2","module":"Tai.VenueAdapters.Bitmex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.cancel_order/2."},{"ref":"Tai.VenueAdapters.Bitmex.html#create_order/2","title":"Tai.VenueAdapters.Bitmex.create_order/2","module":"Tai.VenueAdapters.Bitmex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.create_order/2."},{"ref":"Tai.VenueAdapters.Bitmex.html#maker_taker_fees/3","title":"Tai.VenueAdapters.Bitmex.maker_taker_fees/3","module":"Tai.VenueAdapters.Bitmex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.maker_taker_fees/3."},{"ref":"Tai.VenueAdapters.Bitmex.html#order_book_feed/0","title":"Tai.VenueAdapters.Bitmex.order_book_feed/0","module":"Tai.VenueAdapters.Bitmex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.order_book_feed/0."},{"ref":"Tai.VenueAdapters.Bitmex.html#positions/3","title":"Tai.VenueAdapters.Bitmex.positions/3","module":"Tai.VenueAdapters.Bitmex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.positions/3."},{"ref":"Tai.VenueAdapters.Bitmex.html#products/1","title":"Tai.VenueAdapters.Bitmex.products/1","module":"Tai.VenueAdapters.Bitmex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.products/1."},{"ref":"Tai.VenueAdapters.Bitmex.html#stream_supervisor/0","title":"Tai.VenueAdapters.Bitmex.stream_supervisor/0","module":"Tai.VenueAdapters.Bitmex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.stream_supervisor/0."},{"ref":"Tai.VenueAdapters.Bitmex.AmendOrder.html","title":"Tai.VenueAdapters.Bitmex.AmendOrder","module":"Tai.VenueAdapters.Bitmex.AmendOrder","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.AmendOrder.html#amend_on_venue/2","title":"Tai.VenueAdapters.Bitmex.AmendOrder.amend_on_venue/2","module":"Tai.VenueAdapters.Bitmex.AmendOrder","type":"function","doc":"See ExBitmex.Rest.Orders.amend/2."},{"ref":"Tai.VenueAdapters.Bitmex.AmendOrder.html#amend_order/3","title":"Tai.VenueAdapters.Bitmex.AmendOrder.amend_order/3","module":"Tai.VenueAdapters.Bitmex.AmendOrder","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.AmendOrder.html#to_venue_credentials/1","title":"Tai.VenueAdapters.Bitmex.AmendOrder.to_venue_credentials/1","module":"Tai.VenueAdapters.Bitmex.AmendOrder","type":"function","doc":"See Tai.VenueAdapters.Bitmex.Credentials.from/1."},{"ref":"Tai.VenueAdapters.Bitmex.AmendOrder.html#t:attrs/0","title":"Tai.VenueAdapters.Bitmex.AmendOrder.attrs/0","module":"Tai.VenueAdapters.Bitmex.AmendOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.AmendOrder.html#t:credentials/0","title":"Tai.VenueAdapters.Bitmex.AmendOrder.credentials/0","module":"Tai.VenueAdapters.Bitmex.AmendOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.AmendOrder.html#t:reason/0","title":"Tai.VenueAdapters.Bitmex.AmendOrder.reason/0","module":"Tai.VenueAdapters.Bitmex.AmendOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.AmendOrder.html#t:response/0","title":"Tai.VenueAdapters.Bitmex.AmendOrder.response/0","module":"Tai.VenueAdapters.Bitmex.AmendOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.AmendOrder.html#t:venue_order_id/0","title":"Tai.VenueAdapters.Bitmex.AmendOrder.venue_order_id/0","module":"Tai.VenueAdapters.Bitmex.AmendOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.AssetBalances.html","title":"Tai.VenueAdapters.Bitmex.AssetBalances","module":"Tai.VenueAdapters.Bitmex.AssetBalances","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.AssetBalances.html#asset_balances/3","title":"Tai.VenueAdapters.Bitmex.AssetBalances.asset_balances/3","module":"Tai.VenueAdapters.Bitmex.AssetBalances","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.AssetBalances.html#build/3","title":"Tai.VenueAdapters.Bitmex.AssetBalances.build/3","module":"Tai.VenueAdapters.Bitmex.AssetBalances","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.CancelOrder.html","title":"Tai.VenueAdapters.Bitmex.CancelOrder","module":"Tai.VenueAdapters.Bitmex.CancelOrder","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.CancelOrder.html#cancel_on_venue/2","title":"Tai.VenueAdapters.Bitmex.CancelOrder.cancel_on_venue/2","module":"Tai.VenueAdapters.Bitmex.CancelOrder","type":"function","doc":"See ExBitmex.Rest.Orders.cancel/2."},{"ref":"Tai.VenueAdapters.Bitmex.CancelOrder.html#cancel_order/2","title":"Tai.VenueAdapters.Bitmex.CancelOrder.cancel_order/2","module":"Tai.VenueAdapters.Bitmex.CancelOrder","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.CancelOrder.html#to_venue_credentials/1","title":"Tai.VenueAdapters.Bitmex.CancelOrder.to_venue_credentials/1","module":"Tai.VenueAdapters.Bitmex.CancelOrder","type":"function","doc":"See Tai.VenueAdapters.Bitmex.Credentials.from/1."},{"ref":"Tai.VenueAdapters.Bitmex.CancelOrder.html#t:credentials/0","title":"Tai.VenueAdapters.Bitmex.CancelOrder.credentials/0","module":"Tai.VenueAdapters.Bitmex.CancelOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.CancelOrder.html#t:reason/0","title":"Tai.VenueAdapters.Bitmex.CancelOrder.reason/0","module":"Tai.VenueAdapters.Bitmex.CancelOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.CancelOrder.html#t:response/0","title":"Tai.VenueAdapters.Bitmex.CancelOrder.response/0","module":"Tai.VenueAdapters.Bitmex.CancelOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.CancelOrder.html#t:venue_order_id/0","title":"Tai.VenueAdapters.Bitmex.CancelOrder.venue_order_id/0","module":"Tai.VenueAdapters.Bitmex.CancelOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.ClientId.html","title":"Tai.VenueAdapters.Bitmex.ClientId","module":"Tai.VenueAdapters.Bitmex.ClientId","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.ClientId.html#from_base64/1","title":"Tai.VenueAdapters.Bitmex.ClientId.from_base64/1","module":"Tai.VenueAdapters.Bitmex.ClientId","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.ClientId.html#to_venue/2","title":"Tai.VenueAdapters.Bitmex.ClientId.to_venue/2","module":"Tai.VenueAdapters.Bitmex.ClientId","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.ClientId.html#t:client_id/0","title":"Tai.VenueAdapters.Bitmex.ClientId.client_id/0","module":"Tai.VenueAdapters.Bitmex.ClientId","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.ClientId.html#t:time_in_force/0","title":"Tai.VenueAdapters.Bitmex.ClientId.time_in_force/0","module":"Tai.VenueAdapters.Bitmex.ClientId","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.CreateOrder.html","title":"Tai.VenueAdapters.Bitmex.CreateOrder","module":"Tai.VenueAdapters.Bitmex.CreateOrder","type":"module","doc":"Create orders for the Bitmex adapter"},{"ref":"Tai.VenueAdapters.Bitmex.CreateOrder.html#create_on_venue/2","title":"Tai.VenueAdapters.Bitmex.CreateOrder.create_on_venue/2","module":"Tai.VenueAdapters.Bitmex.CreateOrder","type":"function","doc":"See ExBitmex.Rest.Orders.create/2."},{"ref":"Tai.VenueAdapters.Bitmex.CreateOrder.html#create_order/2","title":"Tai.VenueAdapters.Bitmex.CreateOrder.create_order/2","module":"Tai.VenueAdapters.Bitmex.CreateOrder","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.CreateOrder.html#to_venue_credentials/1","title":"Tai.VenueAdapters.Bitmex.CreateOrder.to_venue_credentials/1","module":"Tai.VenueAdapters.Bitmex.CreateOrder","type":"function","doc":"See Tai.VenueAdapters.Bitmex.Credentials.from/1."},{"ref":"Tai.VenueAdapters.Bitmex.CreateOrder.html#t:credentials/0","title":"Tai.VenueAdapters.Bitmex.CreateOrder.credentials/0","module":"Tai.VenueAdapters.Bitmex.CreateOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.CreateOrder.html#t:order/0","title":"Tai.VenueAdapters.Bitmex.CreateOrder.order/0","module":"Tai.VenueAdapters.Bitmex.CreateOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.CreateOrder.html#t:reason/0","title":"Tai.VenueAdapters.Bitmex.CreateOrder.reason/0","module":"Tai.VenueAdapters.Bitmex.CreateOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.CreateOrder.html#t:response/0","title":"Tai.VenueAdapters.Bitmex.CreateOrder.response/0","module":"Tai.VenueAdapters.Bitmex.CreateOrder","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Credentials.html","title":"Tai.VenueAdapters.Bitmex.Credentials","module":"Tai.VenueAdapters.Bitmex.Credentials","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Credentials.html#from/1","title":"Tai.VenueAdapters.Bitmex.Credentials.from/1","module":"Tai.VenueAdapters.Bitmex.Credentials","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.OrderStatus.html","title":"Tai.VenueAdapters.Bitmex.OrderStatus","module":"Tai.VenueAdapters.Bitmex.OrderStatus","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.OrderStatus.html#from_venue_status/2","title":"Tai.VenueAdapters.Bitmex.OrderStatus.from_venue_status/2","module":"Tai.VenueAdapters.Bitmex.OrderStatus","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.OrderStatus.html#t:order/0","title":"Tai.VenueAdapters.Bitmex.OrderStatus.order/0","module":"Tai.VenueAdapters.Bitmex.OrderStatus","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.OrderStatus.html#t:order_status/0","title":"Tai.VenueAdapters.Bitmex.OrderStatus.order_status/0","module":"Tai.VenueAdapters.Bitmex.OrderStatus","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.OrderStatus.html#t:venue_status/0","title":"Tai.VenueAdapters.Bitmex.OrderStatus.venue_status/0","module":"Tai.VenueAdapters.Bitmex.OrderStatus","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Positions.html","title":"Tai.VenueAdapters.Bitmex.Positions","module":"Tai.VenueAdapters.Bitmex.Positions","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Positions.html#positions/3","title":"Tai.VenueAdapters.Bitmex.Positions.positions/3","module":"Tai.VenueAdapters.Bitmex.Positions","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Positions.html#to_venue_credentials/1","title":"Tai.VenueAdapters.Bitmex.Positions.to_venue_credentials/1","module":"Tai.VenueAdapters.Bitmex.Positions","type":"function","doc":"See Tai.VenueAdapters.Bitmex.Credentials.from/1."},{"ref":"Tai.VenueAdapters.Bitmex.ProductStatus.html","title":"Tai.VenueAdapters.Bitmex.ProductStatus","module":"Tai.VenueAdapters.Bitmex.ProductStatus","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.ProductStatus.html#normalize/1","title":"Tai.VenueAdapters.Bitmex.ProductStatus.normalize/1","module":"Tai.VenueAdapters.Bitmex.ProductStatus","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Products.html","title":"Tai.VenueAdapters.Bitmex.Products","module":"Tai.VenueAdapters.Bitmex.Products","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Products.html#products/1","title":"Tai.VenueAdapters.Bitmex.Products.products/1","module":"Tai.VenueAdapters.Bitmex.Products","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ConnectedStats.html","title":"Tai.VenueAdapters.Bitmex.Stream.ConnectedStats","module":"Tai.VenueAdapters.Bitmex.Stream.ConnectedStats","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ConnectedStats.html#broadcast/3","title":"Tai.VenueAdapters.Bitmex.Stream.ConnectedStats.broadcast/3","module":"Tai.VenueAdapters.Bitmex.Stream.ConnectedStats","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Connection.html","title":"Tai.VenueAdapters.Bitmex.Stream.Connection","module":"Tai.VenueAdapters.Bitmex.Stream.Connection","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Connection.html#start_link/1","title":"Tai.VenueAdapters.Bitmex.Stream.Connection.start_link/1","module":"Tai.VenueAdapters.Bitmex.Stream.Connection","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Connection.html#t:product/0","title":"Tai.VenueAdapters.Bitmex.Stream.Connection.product/0","module":"Tai.VenueAdapters.Bitmex.Stream.Connection","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Connection.html#t:t/0","title":"Tai.VenueAdapters.Bitmex.Stream.Connection.t/0","module":"Tai.VenueAdapters.Bitmex.Stream.Connection","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Funding.html","title":"Tai.VenueAdapters.Bitmex.Stream.Funding","module":"Tai.VenueAdapters.Bitmex.Stream.Funding","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Funding.html#broadcast/3","title":"Tai.VenueAdapters.Bitmex.Stream.Funding.broadcast/3","module":"Tai.VenueAdapters.Bitmex.Stream.Funding","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Liquidations.html","title":"Tai.VenueAdapters.Bitmex.Stream.Liquidations","module":"Tai.VenueAdapters.Bitmex.Stream.Liquidations","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Liquidations.html#broadcast/4","title":"Tai.VenueAdapters.Bitmex.Stream.Liquidations.broadcast/4","module":"Tai.VenueAdapters.Bitmex.Stream.Liquidations","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore.html","title":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore","module":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore.html#child_spec/1","title":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore.child_spec/1","module":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore.html#init/1","title":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore.init/1","module":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore.html#start_link/1","title":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore.start_link/1","module":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore.html#to_name/2","title":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore.to_name/2","module":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore.html#t:t/0","title":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore.t/0","module":"Tai.VenueAdapters.Bitmex.Stream.OrderBookStore","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages.html","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages.html#child_spec/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages.child_spec/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages.html#init/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages.init/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages.html#start_link/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages.start_link/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages.html#to_name/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages.to_name/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages.html#t:t/0","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages.t/0","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessAuthMessages","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages.html","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages.html#child_spec/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages.child_spec/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages.html#init/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages.init/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages.html#start_link/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages.start_link/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages.html#to_name/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages.to_name/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages.html#t:t/0","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages.t/0","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessMessages","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks.html","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks.html#child_spec/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks.child_spec/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks.html#init/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks.init/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks.html#start_link/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks.start_link/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks.html#to_name/1","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks.to_name/1","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks.html#t:t/0","title":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks.t/0","module":"Tai.VenueAdapters.Bitmex.Stream.ProcessOrderBooks","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Settlements.html","title":"Tai.VenueAdapters.Bitmex.Stream.Settlements","module":"Tai.VenueAdapters.Bitmex.Stream.Settlements","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Settlements.html#broadcast/3","title":"Tai.VenueAdapters.Bitmex.Stream.Settlements.broadcast/3","module":"Tai.VenueAdapters.Bitmex.Stream.Settlements","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Trades.html","title":"Tai.VenueAdapters.Bitmex.Stream.Trades","module":"Tai.VenueAdapters.Bitmex.Stream.Trades","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.Trades.html#broadcast/3","title":"Tai.VenueAdapters.Bitmex.Stream.Trades.broadcast/3","module":"Tai.VenueAdapters.Bitmex.Stream.Trades","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.UpdateGtcOrder.html","title":"Tai.VenueAdapters.Bitmex.Stream.UpdateGtcOrder","module":"Tai.VenueAdapters.Bitmex.Stream.UpdateGtcOrder","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.Stream.UpdateGtcOrder.html#update/2","title":"Tai.VenueAdapters.Bitmex.Stream.UpdateGtcOrder.update/2","module":"Tai.VenueAdapters.Bitmex.Stream.UpdateGtcOrder","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.StreamSupervisor.html","title":"Tai.VenueAdapters.Bitmex.StreamSupervisor","module":"Tai.VenueAdapters.Bitmex.StreamSupervisor","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.StreamSupervisor.html#child_spec/1","title":"Tai.VenueAdapters.Bitmex.StreamSupervisor.child_spec/1","module":"Tai.VenueAdapters.Bitmex.StreamSupervisor","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.VenueAdapters.Bitmex.StreamSupervisor.html#init/1","title":"Tai.VenueAdapters.Bitmex.StreamSupervisor.init/1","module":"Tai.VenueAdapters.Bitmex.StreamSupervisor","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke Supervisor.init/2 at the end of their init callback to return the proper supervision flags. Callback implementation for Supervisor.init/1."},{"ref":"Tai.VenueAdapters.Bitmex.StreamSupervisor.html#start_link/1","title":"Tai.VenueAdapters.Bitmex.StreamSupervisor.start_link/1","module":"Tai.VenueAdapters.Bitmex.StreamSupervisor","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Bitmex.StreamSupervisor.html#t:product/0","title":"Tai.VenueAdapters.Bitmex.StreamSupervisor.product/0","module":"Tai.VenueAdapters.Bitmex.StreamSupervisor","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Gdax.html","title":"Tai.VenueAdapters.Gdax","module":"Tai.VenueAdapters.Gdax","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Gdax.html#amend_order/3","title":"Tai.VenueAdapters.Gdax.amend_order/3","module":"Tai.VenueAdapters.Gdax","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.amend_order/3."},{"ref":"Tai.VenueAdapters.Gdax.html#asset_balances/3","title":"Tai.VenueAdapters.Gdax.asset_balances/3","module":"Tai.VenueAdapters.Gdax","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.asset_balances/3."},{"ref":"Tai.VenueAdapters.Gdax.html#cancel_order/2","title":"Tai.VenueAdapters.Gdax.cancel_order/2","module":"Tai.VenueAdapters.Gdax","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.cancel_order/2."},{"ref":"Tai.VenueAdapters.Gdax.html#create_order/2","title":"Tai.VenueAdapters.Gdax.create_order/2","module":"Tai.VenueAdapters.Gdax","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.create_order/2."},{"ref":"Tai.VenueAdapters.Gdax.html#maker_taker_fees/3","title":"Tai.VenueAdapters.Gdax.maker_taker_fees/3","module":"Tai.VenueAdapters.Gdax","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.maker_taker_fees/3."},{"ref":"Tai.VenueAdapters.Gdax.html#order_book_feed/0","title":"Tai.VenueAdapters.Gdax.order_book_feed/0","module":"Tai.VenueAdapters.Gdax","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.order_book_feed/0."},{"ref":"Tai.VenueAdapters.Gdax.html#positions/3","title":"Tai.VenueAdapters.Gdax.positions/3","module":"Tai.VenueAdapters.Gdax","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.positions/3."},{"ref":"Tai.VenueAdapters.Gdax.html#products/1","title":"Tai.VenueAdapters.Gdax.products/1","module":"Tai.VenueAdapters.Gdax","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.products/1."},{"ref":"Tai.VenueAdapters.Gdax.html#stream_supervisor/0","title":"Tai.VenueAdapters.Gdax.stream_supervisor/0","module":"Tai.VenueAdapters.Gdax","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.stream_supervisor/0."},{"ref":"Tai.VenueAdapters.Gdax.AssetBalances.html","title":"Tai.VenueAdapters.Gdax.AssetBalances","module":"Tai.VenueAdapters.Gdax.AssetBalances","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Gdax.AssetBalances.html#asset_balances/3","title":"Tai.VenueAdapters.Gdax.AssetBalances.asset_balances/3","module":"Tai.VenueAdapters.Gdax.AssetBalances","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Gdax.AssetBalances.html#build/3","title":"Tai.VenueAdapters.Gdax.AssetBalances.build/3","module":"Tai.VenueAdapters.Gdax.AssetBalances","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Gdax.MakerTakerFees.html","title":"Tai.VenueAdapters.Gdax.MakerTakerFees","module":"Tai.VenueAdapters.Gdax.MakerTakerFees","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Gdax.MakerTakerFees.html#maker_taker_fees/3","title":"Tai.VenueAdapters.Gdax.MakerTakerFees.maker_taker_fees/3","module":"Tai.VenueAdapters.Gdax.MakerTakerFees","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.html","title":"Tai.VenueAdapters.Gdax.OrderBookFeed","module":"Tai.VenueAdapters.Gdax.OrderBookFeed","type":"module","doc":"WebSocket order book feed adapter for GDAX"},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.html#build_connection_url/2","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.build_connection_url/2","module":"Tai.VenueAdapters.Gdax.OrderBookFeed","type":"function","doc":"Hook to create a connection URL with symbols"},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.html#default_url/0","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.default_url/0","module":"Tai.VenueAdapters.Gdax.OrderBookFeed","type":"function","doc":"Secure production GDAX WebSocket url"},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.html#handle_connect/2","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.handle_connect/2","module":"Tai.VenueAdapters.Gdax.OrderBookFeed","type":"function","doc":"Add the registered process name as logger metadata after the websocket has connected"},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.html#handle_msg/2","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.handle_msg/2","module":"Tai.VenueAdapters.Gdax.OrderBookFeed","type":"function","doc":"Log a warning message when the WebSocket receives a message that is not explicitly handled"},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.html#start_link/1","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.start_link/1","module":"Tai.VenueAdapters.Gdax.OrderBookFeed","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.html#start_link/2","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.start_link/2","module":"Tai.VenueAdapters.Gdax.OrderBookFeed","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.html#subscribe_to_order_books/3","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.subscribe_to_order_books/3","module":"Tai.VenueAdapters.Gdax.OrderBookFeed","type":"function","doc":"Subscribe to the level2 channel for the configured symbols"},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update.html","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update","module":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update.html#normalize/5","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update.normalize/5","module":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update.html#t:change/0","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update.change/0","module":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update.html#t:order_book/0","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update.order_book/0","module":"Tai.VenueAdapters.Gdax.OrderBookFeed.L2Update","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.Snapshot.html","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.Snapshot","module":"Tai.VenueAdapters.Gdax.OrderBookFeed.Snapshot","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Gdax.OrderBookFeed.Snapshot.html#normalize/2","title":"Tai.VenueAdapters.Gdax.OrderBookFeed.Snapshot.normalize/2","module":"Tai.VenueAdapters.Gdax.OrderBookFeed.Snapshot","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Gdax.ProductStatus.html","title":"Tai.VenueAdapters.Gdax.ProductStatus","module":"Tai.VenueAdapters.Gdax.ProductStatus","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Gdax.ProductStatus.html#normalize/1","title":"Tai.VenueAdapters.Gdax.ProductStatus.normalize/1","module":"Tai.VenueAdapters.Gdax.ProductStatus","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Gdax.ProductStatus.html#t:status/0","title":"Tai.VenueAdapters.Gdax.ProductStatus.status/0","module":"Tai.VenueAdapters.Gdax.ProductStatus","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Gdax.Products.html","title":"Tai.VenueAdapters.Gdax.Products","module":"Tai.VenueAdapters.Gdax.Products","type":"module","doc":"Retrieves the available products on the GDAX exchange"},{"ref":"Tai.VenueAdapters.Gdax.Products.html#products/1","title":"Tai.VenueAdapters.Gdax.Products.products/1","module":"Tai.VenueAdapters.Gdax.Products","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Gdax.Products.html#t:error_reason/0","title":"Tai.VenueAdapters.Gdax.Products.error_reason/0","module":"Tai.VenueAdapters.Gdax.Products","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Gdax.Products.html#t:products/0","title":"Tai.VenueAdapters.Gdax.Products.products/0","module":"Tai.VenueAdapters.Gdax.Products","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Mock.html","title":"Tai.VenueAdapters.Mock","module":"Tai.VenueAdapters.Mock","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Mock.html#amend_order/3","title":"Tai.VenueAdapters.Mock.amend_order/3","module":"Tai.VenueAdapters.Mock","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.amend_order/3."},{"ref":"Tai.VenueAdapters.Mock.html#asset_balances/3","title":"Tai.VenueAdapters.Mock.asset_balances/3","module":"Tai.VenueAdapters.Mock","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.asset_balances/3."},{"ref":"Tai.VenueAdapters.Mock.html#asset_balances_response_key/1","title":"Tai.VenueAdapters.Mock.asset_balances_response_key/1","module":"Tai.VenueAdapters.Mock","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Mock.html#cancel_order/2","title":"Tai.VenueAdapters.Mock.cancel_order/2","module":"Tai.VenueAdapters.Mock","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.cancel_order/2."},{"ref":"Tai.VenueAdapters.Mock.html#create_order/2","title":"Tai.VenueAdapters.Mock.create_order/2","module":"Tai.VenueAdapters.Mock","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.create_order/2."},{"ref":"Tai.VenueAdapters.Mock.html#maker_taker_fees/3","title":"Tai.VenueAdapters.Mock.maker_taker_fees/3","module":"Tai.VenueAdapters.Mock","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.maker_taker_fees/3."},{"ref":"Tai.VenueAdapters.Mock.html#maker_taker_fees_response_key/1","title":"Tai.VenueAdapters.Mock.maker_taker_fees_response_key/1","module":"Tai.VenueAdapters.Mock","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Mock.html#order_book_feed/0","title":"Tai.VenueAdapters.Mock.order_book_feed/0","module":"Tai.VenueAdapters.Mock","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.order_book_feed/0."},{"ref":"Tai.VenueAdapters.Mock.html#positions/3","title":"Tai.VenueAdapters.Mock.positions/3","module":"Tai.VenueAdapters.Mock","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.positions/3."},{"ref":"Tai.VenueAdapters.Mock.html#products/1","title":"Tai.VenueAdapters.Mock.products/1","module":"Tai.VenueAdapters.Mock","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.products/1."},{"ref":"Tai.VenueAdapters.Mock.html#products_response_key/1","title":"Tai.VenueAdapters.Mock.products_response_key/1","module":"Tai.VenueAdapters.Mock","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Mock.html#stream_supervisor/0","title":"Tai.VenueAdapters.Mock.stream_supervisor/0","module":"Tai.VenueAdapters.Mock","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.stream_supervisor/0."},{"ref":"Tai.VenueAdapters.Mock.Stream.Connection.html","title":"Tai.VenueAdapters.Mock.Stream.Connection","module":"Tai.VenueAdapters.Mock.Stream.Connection","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Mock.Stream.Connection.html#start_link/1","title":"Tai.VenueAdapters.Mock.Stream.Connection.start_link/1","module":"Tai.VenueAdapters.Mock.Stream.Connection","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Mock.Stream.Connection.html#to_name/1","title":"Tai.VenueAdapters.Mock.Stream.Connection.to_name/1","module":"Tai.VenueAdapters.Mock.Stream.Connection","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Mock.Stream.Connection.html#t:account_config/0","title":"Tai.VenueAdapters.Mock.Stream.Connection.account_config/0","module":"Tai.VenueAdapters.Mock.Stream.Connection","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Mock.Stream.Connection.html#t:account_id/0","title":"Tai.VenueAdapters.Mock.Stream.Connection.account_id/0","module":"Tai.VenueAdapters.Mock.Stream.Connection","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Mock.Stream.Connection.html#t:msg/0","title":"Tai.VenueAdapters.Mock.Stream.Connection.msg/0","module":"Tai.VenueAdapters.Mock.Stream.Connection","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Mock.Stream.Connection.html#t:product/0","title":"Tai.VenueAdapters.Mock.Stream.Connection.product/0","module":"Tai.VenueAdapters.Mock.Stream.Connection","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Mock.Stream.Connection.html#t:venue_id/0","title":"Tai.VenueAdapters.Mock.Stream.Connection.venue_id/0","module":"Tai.VenueAdapters.Mock.Stream.Connection","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Mock.Stream.Snapshot.html","title":"Tai.VenueAdapters.Mock.Stream.Snapshot","module":"Tai.VenueAdapters.Mock.Stream.Snapshot","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Mock.Stream.Snapshot.html#normalize/2","title":"Tai.VenueAdapters.Mock.Stream.Snapshot.normalize/2","module":"Tai.VenueAdapters.Mock.Stream.Snapshot","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Mock.StreamSupervisor.html","title":"Tai.VenueAdapters.Mock.StreamSupervisor","module":"Tai.VenueAdapters.Mock.StreamSupervisor","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Mock.StreamSupervisor.html#child_spec/1","title":"Tai.VenueAdapters.Mock.StreamSupervisor.child_spec/1","module":"Tai.VenueAdapters.Mock.StreamSupervisor","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.VenueAdapters.Mock.StreamSupervisor.html#init/1","title":"Tai.VenueAdapters.Mock.StreamSupervisor.init/1","module":"Tai.VenueAdapters.Mock.StreamSupervisor","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke Supervisor.init/2 at the end of their init callback to return the proper supervision flags. Callback implementation for Supervisor.init/1."},{"ref":"Tai.VenueAdapters.Mock.StreamSupervisor.html#start_link/1","title":"Tai.VenueAdapters.Mock.StreamSupervisor.start_link/1","module":"Tai.VenueAdapters.Mock.StreamSupervisor","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Mock.StreamSupervisor.html#t:product/0","title":"Tai.VenueAdapters.Mock.StreamSupervisor.product/0","module":"Tai.VenueAdapters.Mock.StreamSupervisor","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.html","title":"Tai.VenueAdapters.Poloniex","module":"Tai.VenueAdapters.Poloniex","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.html#amend_order/3","title":"Tai.VenueAdapters.Poloniex.amend_order/3","module":"Tai.VenueAdapters.Poloniex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.amend_order/3."},{"ref":"Tai.VenueAdapters.Poloniex.html#asset_balances/3","title":"Tai.VenueAdapters.Poloniex.asset_balances/3","module":"Tai.VenueAdapters.Poloniex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.asset_balances/3."},{"ref":"Tai.VenueAdapters.Poloniex.html#cancel_order/2","title":"Tai.VenueAdapters.Poloniex.cancel_order/2","module":"Tai.VenueAdapters.Poloniex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.cancel_order/2."},{"ref":"Tai.VenueAdapters.Poloniex.html#create_order/2","title":"Tai.VenueAdapters.Poloniex.create_order/2","module":"Tai.VenueAdapters.Poloniex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.create_order/2."},{"ref":"Tai.VenueAdapters.Poloniex.html#maker_taker_fees/3","title":"Tai.VenueAdapters.Poloniex.maker_taker_fees/3","module":"Tai.VenueAdapters.Poloniex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.maker_taker_fees/3."},{"ref":"Tai.VenueAdapters.Poloniex.html#order_book_feed/0","title":"Tai.VenueAdapters.Poloniex.order_book_feed/0","module":"Tai.VenueAdapters.Poloniex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.order_book_feed/0."},{"ref":"Tai.VenueAdapters.Poloniex.html#positions/3","title":"Tai.VenueAdapters.Poloniex.positions/3","module":"Tai.VenueAdapters.Poloniex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.positions/3."},{"ref":"Tai.VenueAdapters.Poloniex.html#products/1","title":"Tai.VenueAdapters.Poloniex.products/1","module":"Tai.VenueAdapters.Poloniex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.products/1."},{"ref":"Tai.VenueAdapters.Poloniex.html#stream_supervisor/0","title":"Tai.VenueAdapters.Poloniex.stream_supervisor/0","module":"Tai.VenueAdapters.Poloniex","type":"function","doc":"Callback implementation for Tai.Venues.Adapter.stream_supervisor/0."},{"ref":"Tai.VenueAdapters.Poloniex.AssetBalances.html","title":"Tai.VenueAdapters.Poloniex.AssetBalances","module":"Tai.VenueAdapters.Poloniex.AssetBalances","type":"module","doc":"Fetch and normalize all balances on the Poloniex account"},{"ref":"Tai.VenueAdapters.Poloniex.AssetBalances.html#asset_balances/3","title":"Tai.VenueAdapters.Poloniex.AssetBalances.asset_balances/3","module":"Tai.VenueAdapters.Poloniex.AssetBalances","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.AssetBalances.html#build/3","title":"Tai.VenueAdapters.Poloniex.AssetBalances.build/3","module":"Tai.VenueAdapters.Poloniex.AssetBalances","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.MakerTakerFees.html","title":"Tai.VenueAdapters.Poloniex.MakerTakerFees","module":"Tai.VenueAdapters.Poloniex.MakerTakerFees","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.MakerTakerFees.html#maker_taker_fees/3","title":"Tai.VenueAdapters.Poloniex.MakerTakerFees.maker_taker_fees/3","module":"Tai.VenueAdapters.Poloniex.MakerTakerFees","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.OrderBookFeed.html","title":"Tai.VenueAdapters.Poloniex.OrderBookFeed","module":"Tai.VenueAdapters.Poloniex.OrderBookFeed","type":"module","doc":"Hydrate order books for the Poloniex exchange"},{"ref":"Tai.VenueAdapters.Poloniex.OrderBookFeed.html#build_connection_url/2","title":"Tai.VenueAdapters.Poloniex.OrderBookFeed.build_connection_url/2","module":"Tai.VenueAdapters.Poloniex.OrderBookFeed","type":"function","doc":"Hook to create a connection URL with symbols"},{"ref":"Tai.VenueAdapters.Poloniex.OrderBookFeed.html#default_url/0","title":"Tai.VenueAdapters.Poloniex.OrderBookFeed.default_url/0","module":"Tai.VenueAdapters.Poloniex.OrderBookFeed","type":"function","doc":"Secure production Poloniex WebSocket url. This is the undocumented API used by the website. The &quot;official&quot; documented Push API does not work."},{"ref":"Tai.VenueAdapters.Poloniex.OrderBookFeed.html#handle_connect/2","title":"Tai.VenueAdapters.Poloniex.OrderBookFeed.handle_connect/2","module":"Tai.VenueAdapters.Poloniex.OrderBookFeed","type":"function","doc":"Add the registered process name as logger metadata after the websocket has connected"},{"ref":"Tai.VenueAdapters.Poloniex.OrderBookFeed.html#handle_msg/2","title":"Tai.VenueAdapters.Poloniex.OrderBookFeed.handle_msg/2","module":"Tai.VenueAdapters.Poloniex.OrderBookFeed","type":"function","doc":"Log a warning message when the WebSocket receives a message that is not explicitly handled"},{"ref":"Tai.VenueAdapters.Poloniex.OrderBookFeed.html#start_link/1","title":"Tai.VenueAdapters.Poloniex.OrderBookFeed.start_link/1","module":"Tai.VenueAdapters.Poloniex.OrderBookFeed","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.OrderBookFeed.html#start_link/2","title":"Tai.VenueAdapters.Poloniex.OrderBookFeed.start_link/2","module":"Tai.VenueAdapters.Poloniex.OrderBookFeed","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.OrderBookFeed.html#subscribe_to_order_books/3","title":"Tai.VenueAdapters.Poloniex.OrderBookFeed.subscribe_to_order_books/3","module":"Tai.VenueAdapters.Poloniex.OrderBookFeed","type":"function","doc":"Invoked after the process is started and should be used to setup subscriptions Callback implementation for Tai.Venues.OrderBookFeed.subscribe_to_order_books/3."},{"ref":"Tai.VenueAdapters.Poloniex.OrderBookFeed.Snapshot.html","title":"Tai.VenueAdapters.Poloniex.OrderBookFeed.Snapshot","module":"Tai.VenueAdapters.Poloniex.OrderBookFeed.Snapshot","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.OrderBookFeed.Snapshot.html#normalize/2","title":"Tai.VenueAdapters.Poloniex.OrderBookFeed.Snapshot.normalize/2","module":"Tai.VenueAdapters.Poloniex.OrderBookFeed.Snapshot","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.ProductStatus.html","title":"Tai.VenueAdapters.Poloniex.ProductStatus","module":"Tai.VenueAdapters.Poloniex.ProductStatus","type":"module","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.ProductStatus.html#normalize/1","title":"Tai.VenueAdapters.Poloniex.ProductStatus.normalize/1","module":"Tai.VenueAdapters.Poloniex.ProductStatus","type":"function","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.ProductStatus.html#t:status/0","title":"Tai.VenueAdapters.Poloniex.ProductStatus.status/0","module":"Tai.VenueAdapters.Poloniex.ProductStatus","type":"type","doc":""},{"ref":"Tai.VenueAdapters.Poloniex.Products.html","title":"Tai.VenueAdapters.Poloniex.Products","module":"Tai.VenueAdapters.Poloniex.Products","type":"module","doc":"Retrieves the available products on the Poloniex exchange https://thecryptobot.com/2017/11/27/markets-minimum-trade-sizes-poloniex-bittrex-kraken/ Min Notional Trade Size: Bitcoin (BTC pairs): 0.0001 BTC Ethereum (ETH pairs): 0.0001 ETH Monero (XMR pairs): 0.0001 XMR Tether (USDT pairs): 1.0 USDT Min Size: Bitcoin (BTC pairs): 0.000001 BTC Ethereum (ETH pairs): 0.000001 ETH Monero (XMR pairs): 0.000001 XMR Tether (USDT pairs): 0.000001 USDT Min Price: Bitcoin (BTC pairs): 0.00000001 BTC Ethereum (ETH pairs): 0.00000001 ETH Monero (XMR pairs): 0.00000001 XMR Tether (USDT pairs): 0.00000001 USDT Max Price: Bitcoin (BTC pairs): 100000.0 BTC Ethereum (ETH pairs): 100000.0 ETH Monero (XMR pairs): 100000.0 XMR Tether (USDT pairs): 100000.0 USDT"},{"ref":"Tai.VenueAdapters.Poloniex.Products.html#products/1","title":"Tai.VenueAdapters.Poloniex.Products.products/1","module":"Tai.VenueAdapters.Poloniex.Products","type":"function","doc":""},{"ref":"Tai.Venues.Adapter.html","title":"Tai.Venues.Adapter","module":"Tai.Venues.Adapter","type":"behaviour","doc":""},{"ref":"Tai.Venues.Adapter.html#c:amend_order/3","title":"Tai.Venues.Adapter.amend_order/3","module":"Tai.Venues.Adapter","type":"callback","doc":""},{"ref":"Tai.Venues.Adapter.html#c:asset_balances/3","title":"Tai.Venues.Adapter.asset_balances/3","module":"Tai.Venues.Adapter","type":"callback","doc":""},{"ref":"Tai.Venues.Adapter.html#c:cancel_order/2","title":"Tai.Venues.Adapter.cancel_order/2","module":"Tai.Venues.Adapter","type":"callback","doc":""},{"ref":"Tai.Venues.Adapter.html#c:create_order/2","title":"Tai.Venues.Adapter.create_order/2","module":"Tai.Venues.Adapter","type":"callback","doc":""},{"ref":"Tai.Venues.Adapter.html#c:maker_taker_fees/3","title":"Tai.Venues.Adapter.maker_taker_fees/3","module":"Tai.Venues.Adapter","type":"callback","doc":""},{"ref":"Tai.Venues.Adapter.html#c:order_book_feed/0","title":"Tai.Venues.Adapter.order_book_feed/0","module":"Tai.Venues.Adapter","type":"callback","doc":""},{"ref":"Tai.Venues.Adapter.html#c:positions/3","title":"Tai.Venues.Adapter.positions/3","module":"Tai.Venues.Adapter","type":"callback","doc":""},{"ref":"Tai.Venues.Adapter.html#c:products/1","title":"Tai.Venues.Adapter.products/1","module":"Tai.Venues.Adapter","type":"callback","doc":""},{"ref":"Tai.Venues.Adapter.html#c:stream_supervisor/0","title":"Tai.Venues.Adapter.stream_supervisor/0","module":"Tai.Venues.Adapter","type":"callback","doc":""},{"ref":"Tai.Venues.Adapter.html#t:account_id/0","title":"Tai.Venues.Adapter.account_id/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:amend_attrs/0","title":"Tai.Venues.Adapter.amend_attrs/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:amend_order_error_reason/0","title":"Tai.Venues.Adapter.amend_order_error_reason/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:amend_response/0","title":"Tai.Venues.Adapter.amend_response/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:asset_balance/0","title":"Tai.Venues.Adapter.asset_balance/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:cancel_order_error_reason/0","title":"Tai.Venues.Adapter.cancel_order_error_reason/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:cancel_response/0","title":"Tai.Venues.Adapter.cancel_response/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:create_order_error_reason/0","title":"Tai.Venues.Adapter.create_order_error_reason/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:create_response/0","title":"Tai.Venues.Adapter.create_response/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:credentials/0","title":"Tai.Venues.Adapter.credentials/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:order/0","title":"Tai.Venues.Adapter.order/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:position/0","title":"Tai.Venues.Adapter.position/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:product/0","title":"Tai.Venues.Adapter.product/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:shared_error_reason/0","title":"Tai.Venues.Adapter.shared_error_reason/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:t/0","title":"Tai.Venues.Adapter.t/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:venue_id/0","title":"Tai.Venues.Adapter.venue_id/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.Adapter.html#t:venue_order_id/0","title":"Tai.Venues.Adapter.venue_order_id/0","module":"Tai.Venues.Adapter","type":"type","doc":""},{"ref":"Tai.Venues.AssetBalance.html","title":"Tai.Venues.AssetBalance","module":"Tai.Venues.AssetBalance","type":"module","doc":""},{"ref":"Tai.Venues.AssetBalance.html#total/1","title":"Tai.Venues.AssetBalance.total/1","module":"Tai.Venues.AssetBalance","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalance.html#t:t/0","title":"Tai.Venues.AssetBalance.t/0","module":"Tai.Venues.AssetBalance","type":"type","doc":""},{"ref":"Tai.Venues.AssetBalances.html","title":"Tai.Venues.AssetBalances","module":"Tai.Venues.AssetBalances","type":"module","doc":""},{"ref":"Tai.Venues.AssetBalances.html#add/4","title":"Tai.Venues.AssetBalances.add/4","module":"Tai.Venues.AssetBalances","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalances.html#all/0","title":"Tai.Venues.AssetBalances.all/0","module":"Tai.Venues.AssetBalances","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalances.html#child_spec/1","title":"Tai.Venues.AssetBalances.child_spec/1","module":"Tai.Venues.AssetBalances","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.Venues.AssetBalances.html#find_by/1","title":"Tai.Venues.AssetBalances.find_by/1","module":"Tai.Venues.AssetBalances","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalances.html#handle_continue/2","title":"Tai.Venues.AssetBalances.handle_continue/2","module":"Tai.Venues.AssetBalances","type":"function","doc":"Invoked to handle continue instructions. It is useful for performing work after initialization or for splitting the work in a callback in multiple steps, updating the process state along the way. Return values are the same as c:handle_cast/2. This callback is optional. If one is not implemented, the server will fail if a continue instruction is used. This callback is only supported on Erlang/OTP 21+. Callback implementation for GenServer.handle_continue/2."},{"ref":"Tai.Venues.AssetBalances.html#init/1","title":"Tai.Venues.AssetBalances.init/1","module":"Tai.Venues.AssetBalances","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.Venues.AssetBalances.html#lock/1","title":"Tai.Venues.AssetBalances.lock/1","module":"Tai.Venues.AssetBalances","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalances.html#start_link/1","title":"Tai.Venues.AssetBalances.start_link/1","module":"Tai.Venues.AssetBalances","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalances.html#sub/4","title":"Tai.Venues.AssetBalances.sub/4","module":"Tai.Venues.AssetBalances","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalances.html#unlock/1","title":"Tai.Venues.AssetBalances.unlock/1","module":"Tai.Venues.AssetBalances","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalances.html#upsert/1","title":"Tai.Venues.AssetBalances.upsert/1","module":"Tai.Venues.AssetBalances","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalances.html#where/1","title":"Tai.Venues.AssetBalances.where/1","module":"Tai.Venues.AssetBalances","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalances.html#t:asset_balance/0","title":"Tai.Venues.AssetBalances.asset_balance/0","module":"Tai.Venues.AssetBalances","type":"type","doc":""},{"ref":"Tai.Venues.AssetBalances.html#t:lock_request/0","title":"Tai.Venues.AssetBalances.lock_request/0","module":"Tai.Venues.AssetBalances","type":"type","doc":""},{"ref":"Tai.Venues.AssetBalances.html#t:lock_result/0","title":"Tai.Venues.AssetBalances.lock_result/0","module":"Tai.Venues.AssetBalances","type":"type","doc":""},{"ref":"Tai.Venues.AssetBalances.html#t:modify_result/0","title":"Tai.Venues.AssetBalances.modify_result/0","module":"Tai.Venues.AssetBalances","type":"type","doc":""},{"ref":"Tai.Venues.AssetBalances.html#t:unlock_request/0","title":"Tai.Venues.AssetBalances.unlock_request/0","module":"Tai.Venues.AssetBalances","type":"type","doc":""},{"ref":"Tai.Venues.AssetBalances.html#t:unlock_result/0","title":"Tai.Venues.AssetBalances.unlock_result/0","module":"Tai.Venues.AssetBalances","type":"type","doc":""},{"ref":"Tai.Venues.AssetBalances.Lock.html","title":"Tai.Venues.AssetBalances.Lock","module":"Tai.Venues.AssetBalances.Lock","type":"module","doc":""},{"ref":"Tai.Venues.AssetBalances.Lock.html#from_request/1","title":"Tai.Venues.AssetBalances.Lock.from_request/1","module":"Tai.Venues.AssetBalances.Lock","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalances.Lock.html#t:lock_request/0","title":"Tai.Venues.AssetBalances.Lock.lock_request/0","module":"Tai.Venues.AssetBalances.Lock","type":"type","doc":""},{"ref":"Tai.Venues.AssetBalances.LockRequest.html","title":"Tai.Venues.AssetBalances.LockRequest","module":"Tai.Venues.AssetBalances.LockRequest","type":"module","doc":""},{"ref":"Tai.Venues.AssetBalances.LockRequest.html#t:t/0","title":"Tai.Venues.AssetBalances.LockRequest.t/0","module":"Tai.Venues.AssetBalances.LockRequest","type":"type","doc":""},{"ref":"Tai.Venues.AssetBalances.Unlock.html","title":"Tai.Venues.AssetBalances.Unlock","module":"Tai.Venues.AssetBalances.Unlock","type":"module","doc":""},{"ref":"Tai.Venues.AssetBalances.Unlock.html#from_request/1","title":"Tai.Venues.AssetBalances.Unlock.from_request/1","module":"Tai.Venues.AssetBalances.Unlock","type":"function","doc":""},{"ref":"Tai.Venues.AssetBalances.Unlock.html#t:unlock_request/0","title":"Tai.Venues.AssetBalances.Unlock.unlock_request/0","module":"Tai.Venues.AssetBalances.Unlock","type":"type","doc":""},{"ref":"Tai.Venues.AssetBalances.UnlockRequest.html","title":"Tai.Venues.AssetBalances.UnlockRequest","module":"Tai.Venues.AssetBalances.UnlockRequest","type":"module","doc":""},{"ref":"Tai.Venues.AssetBalances.UnlockRequest.html#t:t/0","title":"Tai.Venues.AssetBalances.UnlockRequest.t/0","module":"Tai.Venues.AssetBalances.UnlockRequest","type":"type","doc":""},{"ref":"Tai.Venues.Boot.html","title":"Tai.Venues.Boot","module":"Tai.Venues.Boot","type":"module","doc":"Coordinates the asynchronous hydration of a venue: products asset balances fees"},{"ref":"Tai.Venues.Boot.html#run/1","title":"Tai.Venues.Boot.run/1","module":"Tai.Venues.Boot","type":"function","doc":""},{"ref":"Tai.Venues.Boot.html#t:adapter/0","title":"Tai.Venues.Boot.adapter/0","module":"Tai.Venues.Boot","type":"type","doc":""},{"ref":"Tai.Venues.Boot.AssetBalances.html","title":"Tai.Venues.Boot.AssetBalances","module":"Tai.Venues.Boot.AssetBalances","type":"module","doc":""},{"ref":"Tai.Venues.Boot.AssetBalances.html#hydrate/1","title":"Tai.Venues.Boot.AssetBalances.hydrate/1","module":"Tai.Venues.Boot.AssetBalances","type":"function","doc":""},{"ref":"Tai.Venues.Boot.AssetBalances.html#t:adapter/0","title":"Tai.Venues.Boot.AssetBalances.adapter/0","module":"Tai.Venues.Boot.AssetBalances","type":"type","doc":""},{"ref":"Tai.Venues.Boot.Fees.html","title":"Tai.Venues.Boot.Fees","module":"Tai.Venues.Boot.Fees","type":"module","doc":""},{"ref":"Tai.Venues.Boot.Fees.html#hydrate/2","title":"Tai.Venues.Boot.Fees.hydrate/2","module":"Tai.Venues.Boot.Fees","type":"function","doc":""},{"ref":"Tai.Venues.Boot.Fees.html#t:adapter/0","title":"Tai.Venues.Boot.Fees.adapter/0","module":"Tai.Venues.Boot.Fees","type":"type","doc":""},{"ref":"Tai.Venues.Boot.Fees.html#t:product/0","title":"Tai.Venues.Boot.Fees.product/0","module":"Tai.Venues.Boot.Fees","type":"type","doc":""},{"ref":"Tai.Venues.Boot.OrderBooks.html","title":"Tai.Venues.Boot.OrderBooks","module":"Tai.Venues.Boot.OrderBooks","type":"module","doc":""},{"ref":"Tai.Venues.Boot.OrderBooks.html#start/2","title":"Tai.Venues.Boot.OrderBooks.start/2","module":"Tai.Venues.Boot.OrderBooks","type":"function","doc":""},{"ref":"Tai.Venues.Boot.OrderBooks.html#t:adapter/0","title":"Tai.Venues.Boot.OrderBooks.adapter/0","module":"Tai.Venues.Boot.OrderBooks","type":"type","doc":""},{"ref":"Tai.Venues.Boot.OrderBooks.html#t:product/0","title":"Tai.Venues.Boot.OrderBooks.product/0","module":"Tai.Venues.Boot.OrderBooks","type":"type","doc":""},{"ref":"Tai.Venues.Boot.Positions.html","title":"Tai.Venues.Boot.Positions","module":"Tai.Venues.Boot.Positions","type":"module","doc":""},{"ref":"Tai.Venues.Boot.Positions.html#hydrate/1","title":"Tai.Venues.Boot.Positions.hydrate/1","module":"Tai.Venues.Boot.Positions","type":"function","doc":""},{"ref":"Tai.Venues.Boot.Positions.html#t:adapter/0","title":"Tai.Venues.Boot.Positions.adapter/0","module":"Tai.Venues.Boot.Positions","type":"type","doc":""},{"ref":"Tai.Venues.Boot.Products.html","title":"Tai.Venues.Boot.Products","module":"Tai.Venues.Boot.Products","type":"module","doc":""},{"ref":"Tai.Venues.Boot.Products.html#hydrate/1","title":"Tai.Venues.Boot.Products.hydrate/1","module":"Tai.Venues.Boot.Products","type":"function","doc":""},{"ref":"Tai.Venues.Boot.Products.html#t:adapter/0","title":"Tai.Venues.Boot.Products.adapter/0","module":"Tai.Venues.Boot.Products","type":"type","doc":""},{"ref":"Tai.Venues.Boot.Products.html#t:product/0","title":"Tai.Venues.Boot.Products.product/0","module":"Tai.Venues.Boot.Products","type":"type","doc":""},{"ref":"Tai.Venues.Boot.Stream.html","title":"Tai.Venues.Boot.Stream","module":"Tai.Venues.Boot.Stream","type":"module","doc":""},{"ref":"Tai.Venues.Boot.Stream.html#start/2","title":"Tai.Venues.Boot.Stream.start/2","module":"Tai.Venues.Boot.Stream","type":"function","doc":""},{"ref":"Tai.Venues.Boot.Stream.html#t:adapter/0","title":"Tai.Venues.Boot.Stream.adapter/0","module":"Tai.Venues.Boot.Stream","type":"type","doc":""},{"ref":"Tai.Venues.Boot.Stream.html#t:product/0","title":"Tai.Venues.Boot.Stream.product/0","module":"Tai.Venues.Boot.Stream","type":"type","doc":""},{"ref":"Tai.Venues.BootHandler.html","title":"Tai.Venues.BootHandler","module":"Tai.Venues.BootHandler","type":"module","doc":""},{"ref":"Tai.Venues.BootHandler.html#parse_response/1","title":"Tai.Venues.BootHandler.parse_response/1","module":"Tai.Venues.BootHandler","type":"function","doc":""},{"ref":"Tai.Venues.Config.html","title":"Tai.Venues.Config","module":"Tai.Venues.Config","type":"module","doc":""},{"ref":"Tai.Venues.Config.html#parse_adapters/1","title":"Tai.Venues.Config.parse_adapters/1","module":"Tai.Venues.Config","type":"function","doc":""},{"ref":"Tai.Venues.Config.html#t:config/0","title":"Tai.Venues.Config.config/0","module":"Tai.Venues.Config","type":"type","doc":""},{"ref":"Tai.Venues.FeeInfo.html","title":"Tai.Venues.FeeInfo","module":"Tai.Venues.FeeInfo","type":"module","doc":""},{"ref":"Tai.Venues.FeeInfo.html#percent/0","title":"Tai.Venues.FeeInfo.percent/0","module":"Tai.Venues.FeeInfo","type":"function","doc":""},{"ref":"Tai.Venues.FeeInfo.html#t:fee_type/0","title":"Tai.Venues.FeeInfo.fee_type/0","module":"Tai.Venues.FeeInfo","type":"type","doc":""},{"ref":"Tai.Venues.FeeInfo.html#t:t/0","title":"Tai.Venues.FeeInfo.t/0","module":"Tai.Venues.FeeInfo","type":"type","doc":""},{"ref":"Tai.Venues.FeeStore.html","title":"Tai.Venues.FeeStore","module":"Tai.Venues.FeeStore","type":"module","doc":""},{"ref":"Tai.Venues.FeeStore.html#all/0","title":"Tai.Venues.FeeStore.all/0","module":"Tai.Venues.FeeStore","type":"function","doc":""},{"ref":"Tai.Venues.FeeStore.html#child_spec/1","title":"Tai.Venues.FeeStore.child_spec/1","module":"Tai.Venues.FeeStore","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.Venues.FeeStore.html#clear/0","title":"Tai.Venues.FeeStore.clear/0","module":"Tai.Venues.FeeStore","type":"function","doc":""},{"ref":"Tai.Venues.FeeStore.html#count/0","title":"Tai.Venues.FeeStore.count/0","module":"Tai.Venues.FeeStore","type":"function","doc":""},{"ref":"Tai.Venues.FeeStore.html#find_by/1","title":"Tai.Venues.FeeStore.find_by/1","module":"Tai.Venues.FeeStore","type":"function","doc":""},{"ref":"Tai.Venues.FeeStore.html#init/1","title":"Tai.Venues.FeeStore.init/1","module":"Tai.Venues.FeeStore","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.Venues.FeeStore.html#start_link/1","title":"Tai.Venues.FeeStore.start_link/1","module":"Tai.Venues.FeeStore","type":"function","doc":""},{"ref":"Tai.Venues.FeeStore.html#upsert/1","title":"Tai.Venues.FeeStore.upsert/1","module":"Tai.Venues.FeeStore","type":"function","doc":""},{"ref":"Tai.Venues.FeeStore.html#t:account_id/0","title":"Tai.Venues.FeeStore.account_id/0","module":"Tai.Venues.FeeStore","type":"type","doc":""},{"ref":"Tai.Venues.FeeStore.html#t:fee_info/0","title":"Tai.Venues.FeeStore.fee_info/0","module":"Tai.Venues.FeeStore","type":"type","doc":""},{"ref":"Tai.Venues.FeeStore.html#t:product_symbol/0","title":"Tai.Venues.FeeStore.product_symbol/0","module":"Tai.Venues.FeeStore","type":"type","doc":""},{"ref":"Tai.Venues.FeeStore.html#t:venue_id/0","title":"Tai.Venues.FeeStore.venue_id/0","module":"Tai.Venues.FeeStore","type":"type","doc":""},{"ref":"Tai.Venues.NullOrderBookFeed.html","title":"Tai.Venues.NullOrderBookFeed","module":"Tai.Venues.NullOrderBookFeed","type":"module","doc":""},{"ref":"Tai.Venues.NullStreamSupervisor.html","title":"Tai.Venues.NullStreamSupervisor","module":"Tai.Venues.NullStreamSupervisor","type":"module","doc":""},{"ref":"Tai.Venues.OrderBookFeed.html","title":"Tai.Venues.OrderBookFeed","module":"Tai.Venues.OrderBookFeed","type":"behaviour","doc":"Behaviour to connect to a WebSocket that streams quotes from order books"},{"ref":"Tai.Venues.OrderBookFeed.html#c:handle_msg/2","title":"Tai.Venues.OrderBookFeed.handle_msg/2","module":"Tai.Venues.OrderBookFeed","type":"callback","doc":"Invoked after a message is received on the socket and should be used to process the message"},{"ref":"Tai.Venues.OrderBookFeed.html#c:subscribe_to_order_books/3","title":"Tai.Venues.OrderBookFeed.subscribe_to_order_books/3","module":"Tai.Venues.OrderBookFeed","type":"callback","doc":"Invoked after the process is started and should be used to setup subscriptions"},{"ref":"Tai.Venues.OrderBookFeed.html#to_name/1","title":"Tai.Venues.OrderBookFeed.to_name/1","module":"Tai.Venues.OrderBookFeed","type":"function","doc":"Returns an atom that will identify the process Examples iex&gt; Tai.Venues.OrderBookFeed.to_name(:my_test_feed) :order_book_feed_my_test_feed"},{"ref":"Tai.Venues.OrderBookFeed.html#t:t/0","title":"Tai.Venues.OrderBookFeed.t/0","module":"Tai.Venues.OrderBookFeed","type":"type","doc":""},{"ref":"Tai.Venues.OrderBookFeedSupervisor.html","title":"Tai.Venues.OrderBookFeedSupervisor","module":"Tai.Venues.OrderBookFeedSupervisor","type":"module","doc":""},{"ref":"Tai.Venues.OrderBookFeedSupervisor.html#child_spec/1","title":"Tai.Venues.OrderBookFeedSupervisor.child_spec/1","module":"Tai.Venues.OrderBookFeedSupervisor","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.Venues.OrderBookFeedSupervisor.html#init/1","title":"Tai.Venues.OrderBookFeedSupervisor.init/1","module":"Tai.Venues.OrderBookFeedSupervisor","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke Supervisor.init/2 at the end of their init callback to return the proper supervision flags. Callback implementation for Supervisor.init/1."},{"ref":"Tai.Venues.OrderBookFeedSupervisor.html#start_link/1","title":"Tai.Venues.OrderBookFeedSupervisor.start_link/1","module":"Tai.Venues.OrderBookFeedSupervisor","type":"function","doc":""},{"ref":"Tai.Venues.OrderBookFeedSupervisor.html#to_name/1","title":"Tai.Venues.OrderBookFeedSupervisor.to_name/1","module":"Tai.Venues.OrderBookFeedSupervisor","type":"function","doc":""},{"ref":"Tai.Venues.OrderBookFeedSupervisor.html#t:adapter/0","title":"Tai.Venues.OrderBookFeedSupervisor.adapter/0","module":"Tai.Venues.OrderBookFeedSupervisor","type":"type","doc":""},{"ref":"Tai.Venues.OrderBookFeedSupervisor.html#t:product/0","title":"Tai.Venues.OrderBookFeedSupervisor.product/0","module":"Tai.Venues.OrderBookFeedSupervisor","type":"type","doc":""},{"ref":"Tai.Venues.OrderBookFeedsSupervisor.html","title":"Tai.Venues.OrderBookFeedsSupervisor","module":"Tai.Venues.OrderBookFeedsSupervisor","type":"module","doc":""},{"ref":"Tai.Venues.OrderBookFeedsSupervisor.html#child_spec/1","title":"Tai.Venues.OrderBookFeedsSupervisor.child_spec/1","module":"Tai.Venues.OrderBookFeedsSupervisor","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.Venues.OrderBookFeedsSupervisor.html#init/1","title":"Tai.Venues.OrderBookFeedsSupervisor.init/1","module":"Tai.Venues.OrderBookFeedsSupervisor","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke DynamicSupervisor.init/1 at the end of their init callback to return the proper supervision flags. Callback implementation for DynamicSupervisor.init/1."},{"ref":"Tai.Venues.OrderBookFeedsSupervisor.html#start_feed/2","title":"Tai.Venues.OrderBookFeedsSupervisor.start_feed/2","module":"Tai.Venues.OrderBookFeedsSupervisor","type":"function","doc":""},{"ref":"Tai.Venues.OrderBookFeedsSupervisor.html#start_link/1","title":"Tai.Venues.OrderBookFeedsSupervisor.start_link/1","module":"Tai.Venues.OrderBookFeedsSupervisor","type":"function","doc":""},{"ref":"Tai.Venues.OrderBookFeedsSupervisor.html#t:null_feed/0","title":"Tai.Venues.OrderBookFeedsSupervisor.null_feed/0","module":"Tai.Venues.OrderBookFeedsSupervisor","type":"type","doc":""},{"ref":"Tai.Venues.OrderBookFeedsSupervisor.html#t:product/0","title":"Tai.Venues.OrderBookFeedsSupervisor.product/0","module":"Tai.Venues.OrderBookFeedsSupervisor","type":"type","doc":""},{"ref":"Tai.Venues.Product.html","title":"Tai.Venues.Product","module":"Tai.Venues.Product","type":"module","doc":""},{"ref":"Tai.Venues.Product.html#t:status/0","title":"Tai.Venues.Product.status/0","module":"Tai.Venues.Product","type":"type","doc":""},{"ref":"Tai.Venues.Product.html#t:symbol/0","title":"Tai.Venues.Product.symbol/0","module":"Tai.Venues.Product","type":"type","doc":""},{"ref":"Tai.Venues.Product.html#t:t/0","title":"Tai.Venues.Product.t/0","module":"Tai.Venues.Product","type":"type","doc":""},{"ref":"Tai.Venues.ProductStatus.html","title":"Tai.Venues.ProductStatus","module":"Tai.Venues.ProductStatus","type":"module","doc":""},{"ref":"Tai.Venues.ProductStatus.html#auction_match/0","title":"Tai.Venues.ProductStatus.auction_match/0","module":"Tai.Venues.ProductStatus","type":"function","doc":""},{"ref":"Tai.Venues.ProductStatus.html#break/0","title":"Tai.Venues.ProductStatus.break/0","module":"Tai.Venues.ProductStatus","type":"function","doc":""},{"ref":"Tai.Venues.ProductStatus.html#end_of_day/0","title":"Tai.Venues.ProductStatus.end_of_day/0","module":"Tai.Venues.ProductStatus","type":"function","doc":""},{"ref":"Tai.Venues.ProductStatus.html#halt/0","title":"Tai.Venues.ProductStatus.halt/0","module":"Tai.Venues.ProductStatus","type":"function","doc":""},{"ref":"Tai.Venues.ProductStatus.html#post_trading/0","title":"Tai.Venues.ProductStatus.post_trading/0","module":"Tai.Venues.ProductStatus","type":"function","doc":""},{"ref":"Tai.Venues.ProductStatus.html#pre_trading/0","title":"Tai.Venues.ProductStatus.pre_trading/0","module":"Tai.Venues.ProductStatus","type":"function","doc":""},{"ref":"Tai.Venues.ProductStatus.html#settled/0","title":"Tai.Venues.ProductStatus.settled/0","module":"Tai.Venues.ProductStatus","type":"function","doc":""},{"ref":"Tai.Venues.ProductStatus.html#trading/0","title":"Tai.Venues.ProductStatus.trading/0","module":"Tai.Venues.ProductStatus","type":"function","doc":""},{"ref":"Tai.Venues.ProductStatus.html#unlisted/0","title":"Tai.Venues.ProductStatus.unlisted/0","module":"Tai.Venues.ProductStatus","type":"function","doc":""},{"ref":"Tai.Venues.ProductStore.html","title":"Tai.Venues.ProductStore","module":"Tai.Venues.ProductStore","type":"module","doc":""},{"ref":"Tai.Venues.ProductStore.html#all/0","title":"Tai.Venues.ProductStore.all/0","module":"Tai.Venues.ProductStore","type":"function","doc":""},{"ref":"Tai.Venues.ProductStore.html#child_spec/1","title":"Tai.Venues.ProductStore.child_spec/1","module":"Tai.Venues.ProductStore","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.Venues.ProductStore.html#clear/0","title":"Tai.Venues.ProductStore.clear/0","module":"Tai.Venues.ProductStore","type":"function","doc":""},{"ref":"Tai.Venues.ProductStore.html#count/0","title":"Tai.Venues.ProductStore.count/0","module":"Tai.Venues.ProductStore","type":"function","doc":""},{"ref":"Tai.Venues.ProductStore.html#find/1","title":"Tai.Venues.ProductStore.find/1","module":"Tai.Venues.ProductStore","type":"function","doc":""},{"ref":"Tai.Venues.ProductStore.html#init/1","title":"Tai.Venues.ProductStore.init/1","module":"Tai.Venues.ProductStore","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Tai.Venues.ProductStore.html#start_link/1","title":"Tai.Venues.ProductStore.start_link/1","module":"Tai.Venues.ProductStore","type":"function","doc":""},{"ref":"Tai.Venues.ProductStore.html#upsert/1","title":"Tai.Venues.ProductStore.upsert/1","module":"Tai.Venues.ProductStore","type":"function","doc":""},{"ref":"Tai.Venues.ProductStore.html#where/1","title":"Tai.Venues.ProductStore.where/1","module":"Tai.Venues.ProductStore","type":"function","doc":"Return a list of products that match the filters"},{"ref":"Tai.Venues.ProductStore.html#t:product/0","title":"Tai.Venues.ProductStore.product/0","module":"Tai.Venues.ProductStore","type":"type","doc":""},{"ref":"Tai.Venues.StreamsSupervisor.html","title":"Tai.Venues.StreamsSupervisor","module":"Tai.Venues.StreamsSupervisor","type":"module","doc":""},{"ref":"Tai.Venues.StreamsSupervisor.html#child_spec/1","title":"Tai.Venues.StreamsSupervisor.child_spec/1","module":"Tai.Venues.StreamsSupervisor","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Tai.Venues.StreamsSupervisor.html#init/1","title":"Tai.Venues.StreamsSupervisor.init/1","module":"Tai.Venues.StreamsSupervisor","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke DynamicSupervisor.init/1 at the end of their init callback to return the proper supervision flags. Callback implementation for DynamicSupervisor.init/1."},{"ref":"Tai.Venues.StreamsSupervisor.html#start_link/1","title":"Tai.Venues.StreamsSupervisor.start_link/1","module":"Tai.Venues.StreamsSupervisor","type":"function","doc":""},{"ref":"Tai.Venues.StreamsSupervisor.html#start_stream/4","title":"Tai.Venues.StreamsSupervisor.start_stream/4","module":"Tai.Venues.StreamsSupervisor","type":"function","doc":""},{"ref":"Tai.Venues.StreamsSupervisor.html#t:null_supervisor/0","title":"Tai.Venues.StreamsSupervisor.null_supervisor/0","module":"Tai.Venues.StreamsSupervisor","type":"type","doc":""},{"ref":"Tai.Venues.StreamsSupervisor.html#t:product/0","title":"Tai.Venues.StreamsSupervisor.product/0","module":"Tai.Venues.StreamsSupervisor","type":"type","doc":""},{"ref":"Tai.WebSocket.html","title":"Tai.WebSocket","module":"Tai.WebSocket","type":"module","doc":""},{"ref":"Tai.WebSocket.html#send_json_msg/2","title":"Tai.WebSocket.send_json_msg/2","module":"Tai.WebSocket","type":"function","doc":""},{"ref":"Tai.WebSocket.html#send_msg/2","title":"Tai.WebSocket.send_msg/2","module":"Tai.WebSocket","type":"function","doc":""}]